import React from 'react'
import {List, Button} from 'antd-mobile';
import {YYForm,YYCheckbox,YYCheckboxGroup} from '../../../index'

class YYCheckboxDemo extends React.Component {
    constructor(props) {
        super(props);
    }

    onChange = (a,e) => {
        console.log(a,e)
    }
    onChangeGroup=(values)=>{
        console.log(values)
    }
    submit = () => {
        this.props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values);
            } else {
                let arr = [];
                for (let i in err) {
                    arr.push(err[i])
                }
                Toast.info(arr[0].errors[0].message, 1.5);
                console.log(arr[0].errors[0].message)
            }
        })
    }
    render() {
        const {form} = this.props;
        return (
            <div>
                <List renderHeader={() => 'YYCheckbox 标准模式'}>
                    <YYCheckbox key="a" label='Agree1' defaultChecked={true} onChange={this.onChange.bind(this,'a')}/>
                    <YYCheckbox >没有lable属性</YYCheckbox>
                    <YYCheckbox disabled>disabled</YYCheckbox>
                </List>

                <List renderHeader={() => 'YYCheckbox 自定义模式'}></List>
                <YYCheckbox custom={true} label='Agree1' defaultChecked={true} onChange={this.onChange}/>
                <YYCheckbox custom={true}>没有lable属性</YYCheckbox>
                <YYCheckbox custom={true} disabled>disabled</YYCheckbox>

                <YYCheckboxGroup field="test" label="YYCheckboxGroup" form={form} options={[{label:'a',value:'a',checked:true},{label:'b',value:'b',checked:false},{label:'c',value:'c',checked:false}]} onChange={this.onChangeGroup}/>
                <Button onClick={this.submit}>获取复选框组的value</Button>
            </div>


        )
    }
}

export default YYForm.create()(YYCheckboxDemo);