import React from 'react'
import {List,InputItem,Button,Toast} from 'antd-mobile'
import {YYForm, YYDatePicker} from '../../../index'
const nowTimeStamp = Date.now();
const now = new Date(nowTimeStamp);
class YYDatePickerDemo extends React.Component {
    onChange = (date) => {
        console.log(date);
    }
    submit=()=>{
        this.props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values);
            } else {
                let arr = [];
                for (let i in err) {
                    arr.push(err[i])
                }
                Toast.info(arr[0].errors[0].message, 1.5);
                console.log(arr[0].errors[0].message)
            }
        })
    }
    render() {
        let {form} = this.props;
        return (
            <div>
                <YYForm>
                    <List>
                        <YYDatePicker mode='date' field='date1' form={form}/>
                        <YYDatePicker mode='date' field='date2' form={form} minDate={new Date('2010-1-1')} label='最大最小值'/>
                        <YYDatePicker mode='date' field='date3' form={form} value={now} label='默认值'/>
                        <YYDatePicker mode='date' field='date4' form={form} value={now} disabled label='不可编辑'/>
                        <YYDatePicker mode='date' field='date5' form={form} onChange={this.onChange} label='onChange'/>

                        <YYDatePicker mode='time' field='time1' form={form}/>
                        <YYDatePicker mode='time' field='time2' form={form} use12Hours={true} label='12小时'/>
                        <YYDatePicker mode='time' field='time3' form={form} minuteStep={10} label='分钟数递增步长'/>

                        <YYDatePicker mode='datetime' field='datetime1' form={form} label='日期+时间datetime'/>
                        <YYDatePicker mode='datetime' field='datetime2' form={form} label='datetime format' format="YYYY-MM-DD"/>
                        <YYDatePicker mode='year' field='year' form={form} label='年year'/>
                        <YYDatePicker mode='month' field='month' form={form} label='月month'/>

                        <Button onClick={this.submit}>点击获取所有值</Button>
                    </List>
                </YYForm>
            </div>
        )
    }
}

export default YYForm.create()(YYDatePickerDemo);