import React from 'react'
import YYInput from '../../input/YYInput'
import FormWidget from '../../form/FormWidget'
import YYForm from '../../form/YYForm'
import {Button, Toast, WhiteSpace, NavBar,List,InputItem} from 'antd-mobile'


class YYInputDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            name: '',
        }
    }

    onOk = (value) => {
        console.log(value);
        console.log('1')

    }
    submit = () => {
        this.props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values);
            } else {
                let arr = [];
                for (let i in err) {
                    arr.push(err[i])
                }
                Toast.info(arr[0].errors[0].message, 1.5);
                console.log(arr[0].errors[0].message)
            }
        })
    }


    render() {
        return (
            <div>
                <NavBar>Title</NavBar>
                    <YYInput
                        form={this.props.form}
                        label="人员薪金加一二"
                        field="name-1"
                        extra='今天'
                        disabled={true}
                        clear={true}
                        updatePlaceholder={true}
                        onExtraClick={this.onOk}
                        required={true}
                        value={this.state.name}
                    />
                    <YYInput
                        form={this.props.form}
                        label="人员手机"
                        field="name-2"
                        showIcon={true}
                        clear={false}
                        type='phone'
                        icon='phone'
                        required={true}
                        value={this.state.name}
                    />
                    <WhiteSpace/>
                    <Button type="ghost" onClick={this.submit}>提交验证</Button>
            </div>
        )
    }
}

export default YYForm.create()(YYInputDemo);