import React from 'react'
import {NoticeBar} from 'antd-mobile'
import YYIcon from './../icon/YYIcon';

export default class YYNoticeBar extends React.Component {
	onClick(){
		this.props.onClick&&this.props.onClick();
	}
    render(){
    	let {icon,content,loop,direction,findUI, offline,parentType,
          uiorigin, RunInDesign, uititle, uitype, uikey, nid,control_event,...restProps}=this.props;
    	let marqueeProps={loop,direction};
        return(
            <NoticeBar  {...restProps} icon={icon?<YYIcon type={icon} />:null} onClick={this.onClick.bind(this)} marqueeProps={marqueeProps}>
              {content}
            </NoticeBar>
        )
    }
}

YYNoticeBar.defaultProps = {
    mode:"",
    //设计器需要的props,不添加会warning
    findUI:'',
    offline:false,
    parentType:'',
    uiorigin:'',
    RunInDesign:false,
    uititle:'',
    uitype:'',
    uikey:'',
    nid:'',
    control_event:{},

};
