import React, {Component} from 'react';
import YYIcon from '../icon/YYIcon';
import {Toast} from 'antd-mobile';
class YYSign extends Component {//签字
  onClick() {
    var _this = this;
    var params = {resultType :"url"};
    if (window.YYPlugin) {
      window.YYPlugin.call("CommonPlugin", "handwrittenSignature", params, function success(info){
        if(_this.props.onClick){
          _this.props.onClick(info.url);
        }
      });
    }
    else {
      Toast.info('请在手机上进行调试或检查yyplus的引入！')
    }
  }
  render() {
    let { icon, iconColor } = this.props;
    return (
      <YYIcon type={icon} color={iconColor} size="xs" onClick={this.onClick.bind(this)}/>
    );
  }
}
YYSign.defaultProps = {
  icon: 'write',
  iconColor: '#0091fa',
}
export default YYSign;
