import React, {Component} from 'react';
import { Progress } from 'antd-mobile';
import './YYProgress.less';
import classnames from 'classnames';
class YYProgress extends Component {
  constructor(props) {
    super(props);
  }
  render() {
    let {percent,position,unfilled,showPercent,visible,...restProps} = this.props;
    let wrapClz = classnames('yy-progress',(!visible&&'hidden'), this.props.className);
    return (
      <Progress
        {...restProps}
        className={wrapClz}
        percent={percent}
        position={position}
        unfilled={unfilled}
        appearTransition/>
    );
  }
}
YYProgress.defaultProps = {
  percent: 0,
  position: "normal",
  unfilled: false,
  visible: true
}
export default YYProgress;