import React from 'react'
import {YYStepper, YYForm} from '../../../index'
import {Button,Toast,Stepper} from 'antd-mobile';

class YYStepperDemo extends React.Component {
    submit = () => {
        this.props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values);
            } else {
                let arr = [];
                for (let i in err) {
                    arr.push(err[i])
                }
                Toast.info(arr[0].errors[0].message, 1.5);
                console.log(arr[0].errors[0].message)
            }
        })
    }
    Change = (val) => {
        console.log(val);
    }
    render() {
        const {form} = this.props;
        return (
            <div>
                <YYStepper
                    field='stepper1'
                    min={1}
                    max={10}
                    defaultValue={8}
                    form={form}
                />
                <YYStepper
                    label="disabled"
                    field='stepper2'
                    disabled
                    defaultValue={8}
                    form={form}
                />
                <YYStepper
                    label="step可以是小数 onChange"
                    field='stepper3'
                    min={1}
                    max={10}
                    defaultValue={1.5}
                    step={0.5}
                    form={form}
                    onChange={this.Change}
                />
                <Stepper
                    min={1}
                    max={10}
                    defaultValue={1.5}
                    step={0.5}
                    showNumber={true}
                    onChange={this.Change}
                />
                <Button onClick={this.submit}>点击显示所有value</Button>
            </div>
        )
    }
}

export default YYForm.create()(YYStepperDemo);