import React from 'react'
import {List, Button, Toast} from 'antd-mobile'
import {YYSwitch, YYForm} from '../../../index'

class YYSwitchDemo extends React.Component {
    submit = () => {
        this.props.form.validateFields((err, values) => {
            if (!err) {
                console.log(values);
            } else {
                let arr = [];
                for (let i in err) {
                    arr.push(err[i])
                }
                Toast.info(arr[0].errors[0].message, 1.5);
                console.log(arr[0].errors[0].message)
            }
        })
    }
    onChange = (checked) => {
        console.log('onChange',checked)
    }
    onClick = (checked) => {
        console.log('onClick',checked)
    }

    render() {
        let {form} = this.props;
        return (
            <List>
                <YYSwitch field='s1' form={form}/>
                <YYSwitch field='s2' form={form} checked label="checked"/>
                <YYSwitch field='s3' form={form} disabled label="disabled"/>
                <YYSwitch field='s4' form={form} checked color="red" label="color"/>
                <YYSwitch field='s5' form={form} platform="android" label="color"/>
                <YYSwitch field='s6' form={form} onChange={this.onChange} label="onChange"/>
                <YYSwitch field='s7' form={form} onChange={this.onChange} onClick={this.onClick} label="onChange onClick"/>
                <Button onClick={this.submit}>点击获取value</Button>
            </List>
        )
    }
}

export default YYForm.create()(YYSwitchDemo);