'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYCheckboxDemo = function (_React$Component) {
    _inherits(YYCheckboxDemo, _React$Component);

    function YYCheckboxDemo(props) {
        _classCallCheck(this, YYCheckboxDemo);

        var _this = _possibleConstructorReturn(this, (YYCheckboxDemo.__proto__ || Object.getPrototypeOf(YYCheckboxDemo)).call(this, props));

        _this.onChange = function (a, e) {
            console.log(a, e);
        };

        _this.onChangeGroup = function (values) {
            console.log(values);
        };

        _this.submit = function () {
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }
                    Toast.info(arr[0].errors[0].message, 1.5);
                    console.log(arr[0].errors[0].message);
                }
            });
        };

        return _this;
    }

    _createClass(YYCheckboxDemo, [{
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _list2.default,
                    { renderHeader: function renderHeader() {
                            return 'YYCheckbox 标准模式';
                        } },
                    _react2.default.createElement(_index.YYCheckbox, { key: 'a', label: 'Agree1', defaultChecked: true, onChange: this.onChange.bind(this, 'a') }),
                    _react2.default.createElement(
                        _index.YYCheckbox,
                        null,
                        '\u6CA1\u6709lable\u5C5E\u6027'
                    ),
                    _react2.default.createElement(
                        _index.YYCheckbox,
                        { disabled: true },
                        'disabled'
                    )
                ),
                _react2.default.createElement(_list2.default, { renderHeader: function renderHeader() {
                        return 'YYCheckbox 自定义模式';
                    } }),
                _react2.default.createElement(_index.YYCheckbox, { custom: true, label: 'Agree1', defaultChecked: true, onChange: this.onChange }),
                _react2.default.createElement(
                    _index.YYCheckbox,
                    { custom: true },
                    '\u6CA1\u6709lable\u5C5E\u6027'
                ),
                _react2.default.createElement(
                    _index.YYCheckbox,
                    { custom: true, disabled: true },
                    'disabled'
                ),
                _react2.default.createElement(_index.YYCheckboxGroup, { field: 'test', label: 'YYCheckboxGroup', form: form, options: [{ label: 'a', value: 'a', checked: true }, { label: 'b', value: 'b', checked: false }, { label: 'c', value: 'c', checked: false }], onChange: this.onChangeGroup }),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.submit },
                    '\u83B7\u53D6\u590D\u9009\u6846\u7EC4\u7684value'
                )
            );
        }
    }]);

    return YYCheckboxDemo;
}(_react2.default.Component);

exports.default = _index.YYForm.create()(YYCheckboxDemo);