'use strict';

var _modal = require('antd-mobile/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

require('antd-mobile/lib/modal/style/css');

var _YYClass = require('../base/YYClass');

var _YYClass2 = _interopRequireDefault(_YYClass);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var uiMeta = {
    name: "app"
};
var YYApp = _YYClass2.default.create({
    uiMeta: uiMeta,
    componentDidMount: function componentDidMount() {
        window.onerror = function (msg, file, line, col, error) {
            _modal2.default.alert('脚本发生错误', msg, [{ text: 'Cancel', onPress: function onPress() {
                    return console.log('cancel');
                } }, { text: 'Ok', onPress: function onPress() {
                    return console.log('ok');
                } }]);
        };
    },
    componentWillUnMount: function componentWillUnMount() {
        window.onerror = null;
    }
});

module.exports = YYApp;