'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/icon/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lfwUtil = require('../../utils/lfwUtil');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

require('../../common/svg/iconfont');
var iconType = ['check-circle', 'check', 'check-circle-o', 'cross-circle', 'cross', 'cross-circle-o', 'up', 'down', 'left', 'right', 'ellipsis', 'loading'];
var YYIcon = function (_Component) {
    _inherits(YYIcon, _Component);

    function YYIcon() {
        _classCallCheck(this, YYIcon);

        return _possibleConstructorReturn(this, (YYIcon.__proto__ || Object.getPrototypeOf(YYIcon)).apply(this, arguments));
    }

    _createClass(YYIcon, [{
        key: 'clickIcon',
        value: function clickIcon() {
            this.props.onClick && this.props.onClick();
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                type = _props.type,
                size = _props.size,
                color = _props.color,
                visible = _props.visible,
                findUI = _props.findUI,
                offline = _props.offline,
                parentType = _props.parentType,
                uiorigin = _props.uiorigin,
                RunInDesign = _props.RunInDesign,
                uititle = _props.uititle,
                uitype = _props.uitype,
                uikey = _props.uikey,
                nid = _props.nid,
                control_event = _props.control_event,
                restProps = _objectWithoutProperties(_props, ['type', 'size', 'color', 'visible', 'findUI', 'offline', 'parentType', 'uiorigin', 'RunInDesign', 'uititle', 'uitype', 'uikey', 'nid', 'control_event']);

            var CustomIcon = function CustomIcon(_ref) {
                var type = _ref.type,
                    _ref$className = _ref.className,
                    className = _ref$className === undefined ? !visible && 'hidden' : _ref$className,
                    _ref$size = _ref.size,
                    size = _ref$size === undefined ? 'xs' : _ref$size,
                    restProps = _objectWithoutProperties(_ref, ['type', 'className', 'size']);

                return _react2.default.createElement(
                    'svg',
                    _extends({}, restProps, { className: 'am-icon am-icon-' + type + ' am-icon-' + size + ' ' + className, onClick: _this2.clickIcon.bind(_this2) }),
                    _react2.default.createElement('use', { xlinkHref: '#icon-' + type })
                );
            };

            if ((0, _lfwUtil.ArrayIndexOf)(iconType, type)) {
                CustomIcon = function CustomIcon(_ref2) {
                    var type = _ref2.type,
                        _ref2$className = _ref2.className,
                        className = _ref2$className === undefined ? !visible && 'hidden' : _ref2$className,
                        _ref2$size = _ref2.size,
                        size = _ref2$size === undefined ? 'xs' : _ref2$size,
                        restProps = _objectWithoutProperties(_ref2, ['type', 'className', 'size']);

                    return _react2.default.createElement(_icon2.default, _extends({}, restProps, { type: type, size: size, color: color, onClick: _this2.clickIcon.bind(_this2) }));
                };
            }
            return _react2.default.createElement(CustomIcon, _extends({}, restProps, { type: type, size: size, color: color }));
        }
    }]);

    return YYIcon;
}(_react.Component);

YYIcon.defaultProps = {
    type: 'Home',
    color: '',
    size: 'xs',
    visible: true,

    findUI: '',
    offline: false,
    parentType: '',
    uiorigin: '',
    RunInDesign: false,
    uititle: '',
    uitype: '',
    uikey: '',
    nid: '',
    control_event: {}
};
exports.default = YYIcon;