'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./yyfile.less');

var _return = require('../../common/img/return.png');

var _return2 = _interopRequireDefault(_return);

var _RestUrl = require('../../common/RestUrl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYFile = function (_React$Component) {
	_inherits(YYFile, _React$Component);

	function YYFile() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, YYFile);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYFile.__proto__ || Object.getPrototypeOf(YYFile)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
			close: false
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(YYFile, [{
		key: 'closeFile',
		value: function closeFile() {
			var _this2 = this;

			this.setState({ close: true }, function () {
				setTimeout(function () {
					_this2.props.closeFile && _this2.props.closeFile();
				}, 300);
			});
		}
	}, {
		key: 'render',
		value: function render() {
			var _this3 = this;

			var filePath = this.props.filePath;
			var close = this.state.close;

			var shareUrl = _RestUrl.ADDR + '/icop-file/onlinePreview?url=' + filePath;
			var className = close ? 'yyfile-image slide-down' : 'yyfile-image slide-up';
			return _react2.default.createElement(
				'div',
				{ ref: function ref(o) {
						return _this3.YYFileDom = o;
					}, className: className },
				_react2.default.createElement(
					'div',
					{ className: 'return', onClick: this.closeFile.bind(this) },
					_react2.default.createElement('img', { src: _return2.default })
				),
				_react2.default.createElement('iframe', { className: 'sharefile', src: shareUrl })
			);
		}
	}]);

	return YYFile;
}(_react2.default.Component);

exports.default = YYFile;