'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _carousel = require('antd-mobile/lib/carousel');

var _carousel2 = _interopRequireDefault(_carousel);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/carousel/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _FunctionUtil = require('../../utils/FunctionUtil');

require('./YYItemText.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _list2.default.Item;
var Brief = Item.Brief;

var YYItemImage = function (_Component) {
  _inherits(YYItemImage, _Component);

  function YYItemImage(props) {
    _classCallCheck(this, YYItemImage);

    var _this = _possibleConstructorReturn(this, (YYItemImage.__proto__ || Object.getPrototypeOf(YYItemImage)).call(this, props));

    _this.state = {
      classNamec: 'hidden',
      selectedIndex: 0
    };
    return _this;
  }

  _createClass(YYItemImage, [{
    key: 'imageClick',
    value: function imageClick(item) {
      this.setState({
        classNamec: 'item-image-popup-mask',
        selectedIndex: item.index
      });
    }
  }, {
    key: 'close',
    value: function close() {
      this.setState({
        classNamec: 'hidden'
      });
    }
  }, {
    key: 'createDesignData',
    value: function createDesignData() {
      var _this2 = this;

      var selectColor = this.props.selectColor;

      var img = [];
      var imgCarousel = [];
      var value = [{ url: 'https://zos.alipayobjects.com/rmsportal/hqQWgTXdrlmVVYi.jpeg' }, { url: 'https://zos.alipayobjects.com/rmsportal/PZUUCKTRIHWiZSY.jpeg' }];
      value.map(function (item, index) {
        var defaultUrl = 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png';
        var url = item.url ? item.url : defaultUrl;
        img.push(_react2.default.createElement('img', { key: index, onClick: _this2.imageClick.bind(_this2, { index: index, url: url }), className: 'item', src: url }));
        imgCarousel.push(_react2.default.createElement('img', {
          src: url,
          key: 'carousel' + index,
          alt: '',
          style: { width: '100vw', height: '80vh', marginTop: '10vh' },
          onLoad: function onLoad() {
            window.dispatchEvent(new Event('resize'));
            _this2.setState({ imgHeight: '80vh' });
          } }));
      });
      return { img: img, imgCarousel: imgCarousel };
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props$form = this.props.form,
          getFieldProps = _props$form.getFieldProps,
          getFieldValue = _props$form.getFieldValue;

      var _props = this.props,
          field = _props.field,
          label = _props.label,
          bottomLine = _props.bottomLine,
          inline = _props.inline,
          visible = _props.visible,
          selectColor = _props.selectColor,
          size = _props.size,
          restProps = _objectWithoutProperties(_props, ['field', 'label', 'bottomLine', 'inline', 'visible', 'selectColor', 'size']);

      var wrapClz = (0, _classnames2.default)('yy-item-image', !visible && 'hidden', size, !bottomLine && 'no-bottom-line', this.props.className);
      var value = getFieldValue(field);
      var img = [];
      var imgCarousel = [];
      if (this.props.RunInDesign) {
        var data = this.createDesignData();
        img = data.img;
        imgCarousel = data.imgCarousel;
      } else if (value && value.length > 0) {
        value.map(function (item, index) {
          var defaultUrl = 'https://gw.alipayobjects.com/zos/rmsportal/nywPmnTAvTmLusPxHPSu.png';
          var url = item.url ? item.url : defaultUrl;
          img.push(_react2.default.createElement('img', { key: index, onClick: _this3.imageClick.bind(_this3, { index: index, url: url }), className: 'item', src: url }));
          imgCarousel.push(_react2.default.createElement('img', {
            src: url,
            key: 'carousel' + index,
            alt: '',
            style: { width: '100vw', height: '80vh', marginTop: '10vh' },
            onLoad: function onLoad() {
              window.dispatchEvent(new Event('resize'));
              _this3.setState({ imgHeight: '80vh' });
            } }));
        });
      }
      var labelContent = label && _react2.default.createElement(
        'div',
        { className: 'imgs-title' },
        label
      );
      return _react2.default.createElement(
        Item,
        _extends({}, restProps, {
          className: wrapClz
        }, (0, _FunctionUtil.isFunction)(getFieldProps) ? getFieldProps(field, {}) : null),
        labelContent,
        _react2.default.createElement(
          'div',
          { className: 'imgs' },
          img
        ),
        _react2.default.createElement(
          'div',
          { id: 'img', className: this.state.classNamec, onClick: this.close.bind(this) },
          _react2.default.createElement(
            _carousel2.default,
            {
              autoplay: false,
              infinite: true,
              dots: false,
              selectedIndex: this.state.selectedIndex
            },
            imgCarousel
          )
        )
      );
    }
  }]);

  return YYItemImage;
}(_react.Component);

YYItemImage.defaultProps = {
  field: "default",
  label: '',
  visible: true,
  size: 'big'
};
exports.default = YYItemImage;