'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _modal = require('antd-mobile/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/modal/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./yyfile.less');

var _ping = require('../../common/img/ping.png');

var _ping2 = _interopRequireDefault(_ping);

var _zhuan = require('../../common/img/zhuan.png');

var _zhuan2 = _interopRequireDefault(_zhuan);

var _return = require('../../common/img/return.png');

var _return2 = _interopRequireDefault(_return);

var _YYReply = require('./YYReply');

var _YYReply2 = _interopRequireDefault(_YYReply);

var _RestUrl = require('../../common/RestUrl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYFile = function (_React$Component) {
	_inherits(YYFile, _React$Component);

	function YYFile() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, YYFile);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYFile.__proto__ || Object.getPrototypeOf(YYFile)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
			showReply: false,
			close: false
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(YYFile, [{
		key: 'replyContent',
		value: function replyContent() {
			this.setState({ showReply: true });
		}
	}, {
		key: 'shareUrl',
		value: function shareUrl() {
			var selectRow = this.props.selectRow;

			var shareUrl = _RestUrl.ADDR + '/icop-file/onlinePreview?url=' + _RestUrl.ADDR + '/' + selectRow.filePath;
			var params = {
				type: "3",
				text: selectRow.fileName,
				url: shareUrl,
				title: selectRow.fileName
			};
			window.YYPlugin && window.YYPlugin.call("CommonPlugin", 'share', params);
		}
	}, {
		key: 'onClose',
		value: function onClose() {
			this.setState({ showReply: false });
		}
	}, {
		key: 'closeFile',
		value: function closeFile() {
			var _this2 = this;

			this.setState({ close: true }, function () {
				setTimeout(function () {
					_this2.props.closeFile && _this2.props.closeFile();
				}, 300);
			});
		}
	}, {
		key: 'componentDidMount',
		value: function componentDidMount() {
			var selectRow = this.props.selectRow;

			var params = {
				sourceBillType: selectRow.billType,
				sourceBillId: selectRow.id,
				pageSize: 10,
				pageNumber: 0
			};
			this.setState({ params: params });
			this.props.getCommentList(params);
		}
	}, {
		key: 'reached',
		value: function reached() {
			var _props = this.props,
			    selectRow = _props.selectRow,
			    last = _props.last;
			var params = this.state.params;

			if (!last) {
				this.props.reached(Object.assign(params, { pageNumber: params.pageNumber + 1 }));
			}
		}
	}, {
		key: 'onRefresh',
		value: function onRefresh() {
			var selectRow = this.props.selectRow;

			var params = {
				sourceBillType: selectRow.billType,
				sourceBillId: selectRow.id,
				pageSize: 10,
				pageNumber: 0
			};
			this.setState({ params: params });
			this.props.getCommentList(params);
		}
	}, {
		key: 'render',
		value: function render() {
			var _this3 = this;

			var _props2 = this.props,
			    selectRow = _props2.selectRow,
			    total = _props2.total;
			var _state = this.state,
			    showReply = _state.showReply,
			    close = _state.close;

			var shareUrl = _RestUrl.ADDR + '/icop-file/onlinePreview?url=' + _RestUrl.ADDR + '/' + selectRow.filePath;
			var className = close ? 'yyfile slide-down' : 'yyfile slide-up';
			return _react2.default.createElement(
				'div',
				{ ref: function ref(o) {
						return _this3.YYFileDom = o;
					}, className: className },
				_react2.default.createElement(
					'div',
					{ className: 'return', onClick: this.closeFile.bind(this) },
					_react2.default.createElement('img', { src: _return2.default })
				),
				_react2.default.createElement('iframe', { className: 'sharefile', src: shareUrl }),
				_react2.default.createElement(
					'div',
					{ className: 'operate' },
					_react2.default.createElement(
						'div',
						{ onClick: this.replyContent.bind(this), className: 'ping' },
						_react2.default.createElement('img', { src: _ping2.default }),
						_react2.default.createElement(
							'div',
							{ className: 'num' },
							total ? total : 0
						)
					),
					_react2.default.createElement(
						'div',
						{ onClick: this.shareUrl.bind(this), className: 'zhuan' },
						_react2.default.createElement('img', { src: _zhuan2.default })
					)
				),
				_react2.default.createElement(
					_modal2.default,
					{
						popup: true,
						visible: showReply,
						onClose: this.onClose.bind(this),
						animationType: 'slide-up'
					},
					_react2.default.createElement(_YYReply2.default, { selectRow: selectRow,
						send: this.props.send,
						liked: this.props.liked,
						data: this.props.commentList,
						appendData: this.props.appendData,
						reached: this.reached.bind(this),
						refresh: this.onRefresh.bind(this) })
				)
			);
		}
	}]);

	return YYFile;
}(_react2.default.Component);

exports.default = YYFile;