'use strict';

var _navBar = require('antd-mobile/lib/nav-bar');

var _navBar2 = _interopRequireDefault(_navBar);

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _popover = require('antd-mobile/lib/popover');

var _popover2 = _interopRequireDefault(_popover);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/nav-bar/style/css');

require('antd-mobile/lib/icon/style/css');

require('antd-mobile/lib/popover/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./YYLibrary.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _popover2.default.Item;

var YYLibraryNavBar = function (_React$Component) {
  _inherits(YYLibraryNavBar, _React$Component);

  function YYLibraryNavBar() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, YYLibraryNavBar);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYLibraryNavBar.__proto__ || Object.getPrototypeOf(YYLibraryNavBar)).call.apply(_ref, [this].concat(args))), _this), _this.onVisibleChange = function (visible) {
      _this.props.onVisibleChange && _this.props.onVisibleChange(visible);
    }, _this.onSelect = function (opt, index) {
      _this.props.onSelect && _this.props.onSelect(opt, index);
    }, _this.onSelectAll = function () {
      _this.props.onSelectAll && _this.props.onSelectAll();
    }, _this.onCancelSelectAll = function () {
      _this.props.onCancelSelectAll && _this.props.onCancelSelectAll();
    }, _this.onCancel = function () {
      _this.props.onCancel && _this.props.onCancel();
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(YYLibraryNavBar, [{
    key: 'backGo',
    value: function backGo() {
      this.context.router.goBack();
    }
  }, {
    key: 'onfileChange',
    value: function onfileChange(e) {
      var files = e.currentTarget.files;
      this.props.onChange(files);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          multi = _props.multi,
          selectAll = _props.selectAll,
          visible = _props.visible,
          buttonAuth = _props.buttonAuth;

      var rightContent = [_react2.default.createElement(
        Item,
        { key: '1', value: 'upload' },
        '\u4E0A\u4F20',
        buttonAuth.upload && !window.YYPlugin && _react2.default.createElement('input', { type: 'file', value: '', style: { opacity: '0', position: 'relative', left: '-30px', width: '50px' }, onChange: this.onfileChange.bind(this) })
      ), _react2.default.createElement(
        Item,
        { key: '2', value: 'add', style: { whiteSpace: 'nowrap' } },
        '\u65B0\u5EFA\u6587\u4EF6\u5939'
      )];
      return _react2.default.createElement(
        _navBar2.default,
        { mode: 'light',
          leftContent: multi ? selectAll ? _react2.default.createElement(
            'span',
            { onClick: this.onCancelSelectAll },
            '\u53D6\u6D88\u5168\u9009'
          ) : _react2.default.createElement(
            'span',
            { onClick: this.onSelectAll },
            '\u5168\u9009'
          ) : _react2.default.createElement(_icon2.default, { onClick: this.backGo.bind(this), type: 'left' }),
          rightContent: !multi ? _react2.default.createElement(
            _popover2.default,
            {
              overlayClassName: 'fortest',
              overlayStyle: { color: 'currentColor' },
              visible: visible,
              overlay: rightContent,
              align: {
                overflow: { adjustY: 0, adjustX: 0 },
                offset: [-10, 0]
              },
              onVisibleChange: this.onVisibleChange,
              onSelect: this.onSelect
            },
            _react2.default.createElement(
              'div',
              { style: {
                  height: '100%',
                  padding: '0 15px',
                  marginRight: '-15px',
                  display: 'flex',
                  alignItems: 'center'
                }
              },
              _react2.default.createElement(_icon2.default, { type: 'plus' })
            )
          ) : _react2.default.createElement(
            'span',
            { onClick: this.onCancel },
            '\u53D6\u6D88'
          )
        },
        '\u6587\u5E93'
      );
    }
  }]);

  return YYLibraryNavBar;
}(_react2.default.Component);

YYLibraryNavBar.contextTypes = {
  router: _propTypes2.default.object.isRequired
};
module.exports = YYLibraryNavBar;