'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inputItem = require('antd-mobile/lib/input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _navBar = require('antd-mobile/lib/nav-bar');

var _navBar2 = _interopRequireDefault(_navBar);

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/input-item/style/css');

require('antd-mobile/lib/nav-bar/style/css');

require('antd-mobile/lib/icon/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./createfile.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CreateFile = function (_React$Component) {
  _inherits(CreateFile, _React$Component);

  function CreateFile() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, CreateFile);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CreateFile.__proto__ || Object.getPrototypeOf(CreateFile)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      title: "新建文件夹",
      canSave: false,
      isModify: false,
      filename: ''
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(CreateFile, [{
    key: 'saveFile',
    value: function saveFile() {
      var billType = this.props.billType;
      var filename = this.state.filename;

      var parentId = this.getParentID();
      if (this.state.canSave) {
        if (this.state.isModify) {
          this.props.modifyName && this.props.modifyName(Object.assign({}, this.props.currentItem, { fileName: filename }));
        } else {
          this.props.onFileSave && this.props.onFileSave({
            fileName: filename,
            type: 1,
            parentId: parentId,
            billType: billType
          });
        }
      }
    }
  }, {
    key: 'getParentID',
    value: function getParentID() {
      var parentId = this.context.location && this.context.location.query.fileid;
      if (!parentId) {
        return '0';
      }
      return parentId;
    }
  }, {
    key: 'changeFileName',
    value: function changeFileName(value) {
      if (value) {
        this.setState({ filename: value, canSave: true });
      } else {
        this.setState({ filename: '', canSave: false });
      }
    }
  }, {
    key: 'cancelAdd',
    value: function cancelAdd() {
      this.props.cancelCreate && this.props.cancelCreate();
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (this.props.currentItem) {
        this.setState({
          title: this.props.title && this.props.title.editTitle ? this.props.title.editTitle : "重命名",
          filename: this.props.currentItem.fileName,
          isModify: true,
          canSave: true
        });
      } else {
        this.setState({
          title: this.props.title && this.props.title.addTitle ? this.props.title.addTitle : "新建文件夹",
          filename: '',
          isModify: false
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _state = this.state,
          canSave = _state.canSave,
          title = _state.title;

      return _react2.default.createElement(
        'div',
        { className: 'create-file' },
        _react2.default.createElement(
          _navBar2.default,
          { onLeftClick: this.cancelAdd.bind(this), mode: 'light', rightContent: _react2.default.createElement(
              'span',
              { onClick: this.saveFile.bind(this), className: canSave ? '' : 'disable' },
              '\u4FDD\u5B58'
            ), icon: _react2.default.createElement(_icon2.default, { type: 'left' }) },
          title
        ),
        _react2.default.createElement(_inputItem2.default, { value: this.state.filename, ref: 'myFileName', onChange: this.changeFileName.bind(this), placeholder: '\u8BF7\u8F93\u5165\u6587\u4EF6\u5939\u540D\u79F0', className: 'filename-input' })
      );
    }
  }]);

  return CreateFile;
}(_react2.default.Component);

CreateFile.contextTypes = {
  location: _propTypes2.default.object.isRequired
};
exports.default = CreateFile;