'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _pullToRefresh = require('antd-mobile/lib/pull-to-refresh');

var _pullToRefresh2 = _interopRequireDefault(_pullToRefresh);

var _listView = require('antd-mobile/lib/list-view');

var _listView2 = _interopRequireDefault(_listView);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/pull-to-refresh/style/css');

require('antd-mobile/lib/list-view/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

require('./YYListView.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _list2.default.Item;
var Brief = Item.Brief;

function MyBody(props) {
    return _react2.default.createElement(
        'div',
        { className: 'am-list-body my-body' },
        props.children
    );
}

var YYListview = function (_React$Component) {
    _inherits(YYListview, _React$Component);

    function YYListview(props) {
        _classCallCheck(this, YYListview);

        var _this = _possibleConstructorReturn(this, (YYListview.__proto__ || Object.getPrototypeOf(YYListview)).call(this, props));

        _this.onRefresh = function () {
            var _self = _this;
            _self.setState({ refreshing: true, isLoading: true });
            if (_this.props.onrefresh) {
                console.log('xx');
                _this.props.onrefresh();
            } else {
                setTimeout(function () {
                    _self.rData = _self.props.init;
                    _self.setState({
                        dataSource: _self.state.dataSource.cloneWithRows(_self.rData),
                        refreshing: false,
                        isLoading: false
                    });
                    console.log('----> refresh');
                }, 600);
            }
        };

        _this.onEndReached = function (event) {

            var _self = _this;
            if (!_self.props.isreached) {
                return false;
            }
            _this.props.reached();
        };

        var dataSource = new _listView2.default.DataSource({
            rowHasChanged: function rowHasChanged(row1, row2) {
                return row1 !== row2;
            }
        });

        _this.state = {
            dataSource: dataSource,
            isLoading: true,
            refreshing: true,
            height: document.documentElement.clientHeight,
            initdata: '',
            footer: '' };
        return _this;
    }

    _createClass(YYListview, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var _this2 = this;

            var hei = this.state.height - _reactDom2.default.findDOMNode(this.lv).offsetTop;
            setTimeout(function () {
                var data = _this2.props.init;
                if (_this2.props.isreached) {
                    _this2.setState({
                        footer: '加载完成'
                    });
                } else {
                    _this2.setState({
                        footer: ''
                    });
                }
                if (_this2.props.init.length !== 0) {
                    _this2.setState({
                        initdata: data,
                        height: hei,
                        dataSource: _this2.state.dataSource.cloneWithRows(data),
                        isLoading: false,
                        refreshing: false
                    });
                }
            }, 1000);
        }
    }, {
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextprops) {
            var _this3 = this;

            var _self = this;
            if (nextprops.init !== this.props.init) {
                console.log('111');
                var hei = this.state.height - _reactDom2.default.findDOMNode(this.lv).offsetTop;
                setTimeout(function () {
                    var data = _this3.props.init;
                    if (_this3.props.isreached) {
                        _this3.setState({
                            footer: '加载完成'
                        });
                    } else {
                        _this3.setState({
                            footer: ''
                        });
                    }
                    _this3.setState({
                        initdata: data,
                        height: hei,
                        dataSource: _this3.state.dataSource.cloneWithRows(data),
                        isLoading: false,
                        refreshing: false
                    });
                }, 600);
            } else if (nextprops.row !== this.props.row) {
                if (_self.state.isLoading && !_self.state.hasMore) {
                    return;
                }
                _self.setState({ isLoading: true });
                setTimeout(function () {
                    _self.rData = [].concat(_toConsumableArray(_self.state.initdata), _toConsumableArray(_self.props.row));
                    _self.setState({
                        dataSource: _self.state.dataSource.cloneWithRows(_self.rData),
                        isLoading: false
                    });
                }, 1000);
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _this4 = this;

            var refreshing = this.state.refreshing;
            var _props = this.props,
                children = _props.children,
                onEndReachedhold = _props.onEndReachedhold,
                height = _props.height;

            return _react2.default.createElement(_listView2.default, {
                ref: function ref(el) {
                    return _this4.lv = el;
                },
                key: 1,
                dataSource: this.state.dataSource,
                renderFooter: function renderFooter() {
                    return _react2.default.createElement(
                        'div',
                        { style: { padding: 10, textAlign: 'center' } },
                        _this4.state.isLoading ? '正在加载...' : _this4.state.footer
                    );
                },
                renderRow: function renderRow(rowData, sectionID, rowID, highlightRow) {
                    return _this4.createRow(rowData, sectionID, rowID, highlightRow);
                },
                className: 'am-list',
                pageSize: 4,
                renderBodyComponent: function renderBodyComponent() {
                    return _react2.default.createElement(MyBody, null);
                },
                style: { height: height, overflow: 'auto' },
                onScroll: function onScroll() {
                    console.log('scroll');
                },
                scrollRenderAheadDistance: 500,
                onEndReached: this.onEndReached,
                onEndReachedThreshold: onEndReachedhold,
                pullToRefresh: _react2.default.createElement(_pullToRefresh2.default, {
                    distanceToRefresh: 25,
                    refreshing: refreshing,
                    onRefresh: this.onRefresh }) });
        }
    }]);

    return YYListview;
}(_react2.default.Component);

exports.default = YYListview;

YYListview.defaultProps = {
    onEndReachedhold: 400,
    height: '600px',
    loadingHeight: 30
};