'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYScan = function (_Component) {
  _inherits(YYScan, _Component);

  function YYScan() {
    _classCallCheck(this, YYScan);

    return _possibleConstructorReturn(this, (YYScan.__proto__ || Object.getPrototypeOf(YYScan)).apply(this, arguments));
  }

  _createClass(YYScan, [{
    key: 'onClick',
    value: function onClick() {
      var _this = this;
      var type = this.props.type;

      var params = { command: type };
      if (window.YYPlugin) {
        window.YYPlugin.call("CommonPlugin", "scan", params, function success(info) {
          if (_this.props.onClick) {
            if (type === 'invoice') {
              _this.props.onClick(info);
            } else {
              _this.props.onClick(info.result);
            }
          }
        });
      } else {
        _toast2.default.info('请在手机上进行调试或检查yyplus的引入！');
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          icon = _props.icon,
          iconColor = _props.iconColor;

      return _react2.default.createElement(_YYIcon2.default, { type: icon, color: iconColor, size: 'xs', onClick: this.onClick.bind(this) });
    }
  }]);

  return YYScan;
}(_react.Component);

YYScan.defaultProps = {
  icon: 'Scan',
  iconColor: '#0091fa',
  type: 'noDail'
};
exports.default = YYScan;