'use strict';

var _RestUrl = require('../../common/RestUrl');

var _require$default = require('../../utils/EnvUtils').default,
    getValue = _require$default.getValue,
    Keys = _require$default.Keys;

var DefaultParams = {
    'baseUrl': _RestUrl.ADDR,
    'userId': function userId() {
        return getValue(Keys.USER_ID);
    },
    'userName': function userName() {
        return getValue(Keys.USER_NAME);
    },
    'orgId': function orgId() {
        return getValue(Keys.ORGA_ID);
    },
    'currDate': function currDate() {
        return getValue(Keys.CURRENT_DATE);
    },
    'currTime': function currTime() {
        return getValue(Keys.CURRENT_TIME);
    }
};

module.exports = DefaultParams;