'use strict';

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYInput = require('../input/YYInput');

var _YYInput2 = _interopRequireDefault(_YYInput);

var _YYIcon = require('../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

var _YYReferList = require('./YYReferList');

var _YYReferList2 = _interopRequireDefault(_YYReferList);

var _YYReferTree = require('./YYReferTree');

var _YYReferTree2 = _interopRequireDefault(_YYReferTree);

var _YYReferTreeList = require('./YYReferTreeList');

var _YYReferTreeList2 = _interopRequireDefault(_YYReferTreeList);

var _YYReferLazyTree = require('./YYReferLazyTree');

var _YYReferLazyTree2 = _interopRequireDefault(_YYReferLazyTree);

var _YYReferLazyTreeList = require('./YYReferLazyTreeList');

var _YYReferLazyTreeList2 = _interopRequireDefault(_YYReferLazyTreeList);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _FunctionUtil = require('../../utils/FunctionUtil');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _list2.default.Item;

var YYRefer = function (_React$Component) {
    _inherits(YYRefer, _React$Component);

    function YYRefer() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYRefer);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYRefer.__proto__ || Object.getPrototypeOf(YYRefer)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            value: _this.props.value,
            isNewState: false,
            openRefer: false
        }, _this.onOk = function (selected, refername) {
            var copyobj = _extends({}, selected);
            _this.setState({
                value: copyobj ? copyobj : null,
                openRefer: false
            });

            var fields = {};
            fields[_this.props.referName] = {
                dirty: true,
                errors: undefined,
                name: _this.props.referName,
                touched: true,
                validating: true,
                value: copyobj ? copyobj : null
            };
            _this.props.form.setFields(fields);
            if (_this.props.onOk) {
                _this.props.onOk(copyobj, refername);
            }
        }, _this.onClose = function (refername) {
            _this.setState({
                openRefer: false
            });
            if (_this.props.custom && _this.props.onClose) {
                _this.props.onClose(refername);
            }
        }, _this.onClick = function () {
            _this.setState({
                openRefer: true
            });
        }, _this.validateCallBack = function (rule, value, callback) {
            if ((0, _FunctionUtil.isFunction)(_this.props.validateCallBack)) {
                _this.props.validateCallBack(rule, value, callback);
                callback();
            } else {
                callback();
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYRefer, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            if (this.props.values !== '') {
                var fields = {};
                fields[this.props.referName] = {
                    dirty: true,
                    errors: undefined,
                    name: this.props.referName,
                    touched: true,
                    validating: true,
                    value: this.props.values
                };
                this.props.form.setFields(fields);
            }
        }
    }, {
        key: 'getRefType',
        value: function getRefType(type) {
            switch (type) {
                case "grid":
                    return "list";
                case "tree":
                    return "tree";
                case "treegrid":
                    return "tree-list";
                case "lazytree":
                    return "lazy-tree";
                case "lazytreegrid":
                    return "lazy-tree-list";
            }
            return "list";
        }
    }, {
        key: 'getCondition',
        value: function getCondition(condition) {
            if (!condition) {
                return {};
            } else if ((typeof condition === 'undefined' ? 'undefined' : _typeof(condition)) == "object") {
                return JSON.stringify(condition);
            }
            return condition;
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                renderRow = _props.renderRow,
                labelNumber = _props.labelNumber,
                form = _props.form,
                referlabel = _props.referlabel,
                referCode = _props.referCode,
                multiMode = _props.multiMode,
                displayField = _props.displayField,
                disabled = _props.disabled,
                referName = _props.referName,
                open = _props.open,
                modalHeight = _props.modalHeight,
                referParams = _props.referParams,
                condition = _props.condition,
                listCondition = _props.listCondition,
                custom = _props.custom,
                arrow = _props.arrow,
                align = _props.align,
                error = _props.error,
                multipleLine = _props.multipleLine,
                wrap = _props.wrap,
                activeStyle = _props.activeStyle,
                platform = _props.platform,
                required = _props.required,
                icon = _props.icon,
                iconColor = _props.iconColor,
                showIcon = _props.showIcon,
                errorMsg = _props.errorMsg,
                trigger = _props.trigger,
                visible = _props.visible,
                id = _props.id,
                isSearch = _props.isSearch,
                findUI = _props.findUI,
                offline = _props.offline,
                parentType = _props.parentType,
                uiorigin = _props.uiorigin,
                RunInDesign = _props.RunInDesign,
                uititle = _props.uititle,
                uitype = _props.uitype,
                uikey = _props.uikey,
                nid = _props.nid,
                control_event = _props.control_event,
                resprops = _objectWithoutProperties(_props, ['renderRow', 'labelNumber', 'form', 'referlabel', 'referCode', 'multiMode', 'displayField', 'disabled', 'referName', 'open', 'modalHeight', 'referParams', 'condition', 'listCondition', 'custom', 'arrow', 'align', 'error', 'multipleLine', 'wrap', 'activeStyle', 'platform', 'required', 'icon', 'iconColor', 'showIcon', 'errorMsg', 'trigger', 'visible', 'id', 'isSearch', 'findUI', 'offline', 'parentType', 'uiorigin', 'RunInDesign', 'uititle', 'uitype', 'uikey', 'nid', 'control_event']);

            var modalStyle = void 0;
            var referStyle = this.getRefType(referCode ? referCode.referStyle : "");var getFieldProps = this.props.form.getFieldProps;

            var referprops = {
                referlabel: referlabel,
                referName: referName,
                referStyle: referStyle,
                referCode: typeof referCode === 'string' ? referCode : referCode.refCode,
                modalHeight: modalHeight,
                displayField: displayField,
                referParams: referParams,
                multiMode: multiMode,
                disabled: disabled,
                condition: this.getCondition(condition),
                listCondition: this.getCondition(listCondition),
                onOk: this.onOk,
                onClose: this.onClose,
                custom: custom,
                id: id,
                isSearch: isSearch,
                renderRow: renderRow
            };
            var labelClassName = required ? (0, _classnames2.default)('yy-label-required') : (0, _classnames2.default)('');
            var itemClassName = (0, _classnames2.default)('referBottom', !visible && visible !== undefined && 'hidden', this.props.className);
            var displayValue = '';
            var values = void 0;
            if (custom) {
                if (referStyle == 'list') {
                    modalStyle = _react2.default.createElement(_YYReferList2.default, _extends({}, referprops, { open: open }));
                } else if (referStyle == 'tree') {
                    modalStyle = _react2.default.createElement(_YYReferTree2.default, _extends({}, referprops, { open: open }));
                } else if (referStyle == 'tree-list') {
                    modalStyle = _react2.default.createElement(_YYReferTreeList2.default, _extends({}, referprops, { open: open }));
                } else if (referStyle == 'lazy-tree') {
                    modalStyle = _react2.default.createElement(_YYReferLazyTree2.default, _extends({}, referprops, { open: open }));
                } else if (referStyle == 'lazy-tree-list') {
                    modalStyle = _react2.default.createElement(_YYReferLazyTreeList2.default, _extends({}, referprops, { open: open }));
                }
            } else {
                if (referStyle == 'list') {
                    modalStyle = _react2.default.createElement(_YYReferList2.default, _extends({}, referprops, { open: this.state.openRefer }));
                } else if (referStyle == 'tree') {
                    modalStyle = _react2.default.createElement(_YYReferTree2.default, _extends({}, referprops, { open: this.state.openRefer }));
                } else if (referStyle == 'tree-list') {
                    modalStyle = _react2.default.createElement(_YYReferTreeList2.default, _extends({}, referprops, { open: this.state.openRefer }));
                } else if (referStyle == 'lazy-tree') {
                    modalStyle = _react2.default.createElement(_YYReferLazyTree2.default, _extends({}, referprops, { open: this.state.openRefer }));
                } else if (referStyle == 'lazy-tree-list') {
                    modalStyle = _react2.default.createElement(_YYReferLazyTreeList2.default, _extends({}, referprops, { open: this.state.openRefer }));
                }

                if (form) {
                    var _value = form.getFieldValue(referName);
                    var newValue = getFieldProps(referName);
                    if (_value) {
                        values = _value;
                    } else {
                        values = '';
                    }
                    if (!!values) {
                        if (!Array.isArray(values)) {
                            if (Object.getOwnPropertyNames(values).length > 0) {
                                displayValue = values[displayField];
                            } else {
                                values = null;
                                displayValue = disabled ? null : '请选择';
                            }
                        } else if (values.length > 0) {
                            displayValue = values.map(function (v) {
                                return v[displayField];
                            }).join();
                        }
                    } else {
                        displayValue = disabled ? null : '请选择';
                    }
                }
            }

            return _react2.default.createElement(
                'div',
                null,
                custom ? _react2.default.createElement(
                    'div',
                    { style: { display: 'none' } },
                    modalStyle,
                    _react2.default.createElement(_YYInput2.default, _extends({ form: form
                    }, (0, _FunctionUtil.isFunction)(getFieldProps) ? getFieldProps(referName, {
                        initialValue: null,
                        rules: [{ required: required, message: errorMsg }, { validator: this.validateCallBack }],
                        trigger: trigger,
                        valuePropName: 'value'
                    }) : null))
                ) : _react2.default.createElement(
                    Item,
                    _extends({ className: itemClassName,
                        ref: 'refer',
                        extra: displayValue,
                        arrow: disabled ? '' : arrow,
                        align: align,
                        error: error,
                        multipleLine: multipleLine,
                        wrap: wrap,
                        activeStyle: activeStyle,
                        platform: platform,
                        onClick: disabled ? null : this.onClick,
                        labelNumber: showIcon ? labelNumber + 1 : labelNumber
                    }, resprops),
                    _react2.default.createElement(
                        'div',
                        { style: { display: 'none' } },
                        modalStyle,
                        _react2.default.createElement(_YYInput2.default, _extends({ form: form
                        }, (0, _FunctionUtil.isFunction)(getFieldProps) ? getFieldProps(referName, {
                            initialValue: null,
                            rules: [{ required: required, message: errorMsg }, { validator: this.validateCallBack }],
                            trigger: trigger,
                            valuePropName: 'value'
                        }) : null))
                    ),
                    showIcon && _react2.default.createElement(
                        'div',
                        { style: { top: '0.27rem', paddingRight: '8px', display: 'inline-block', position: 'relative' } },
                        _react2.default.createElement(_YYIcon2.default, { type: icon,
                            color: iconColor })
                    ),
                    _react2.default.createElement(
                        'span',
                        { style: { marginLeft: '0rem' }, className: labelClassName },
                        referlabel
                    ),
                    _react2.default.createElement(
                        'span',
                        { style: { display: required ? '' : 'none' } },
                        _react2.default.createElement(_YYIcon2.default, { type: 'asterisk', size: 'xs' })
                    )
                )
            );
        }
    }]);

    return YYRefer;
}(_react2.default.Component);

YYRefer.defaultProps = {
    referlabel: '参照',
    referCode: '00026',
    modalHeight: 'all',
    displayField: 'name',
    referParams: {},
    trigger: "onChange",
    errorMsg: "请输入必填项!",
    multiMode: false,
    disabled: false,
    open: false,
    referName: 'key',
    condition: {},
    listCondition: {},
    values: '',
    custom: false,
    arrow: 'horizontal',
    align: 'middle',
    error: false,
    multipleLine: false,
    wrap: false,
    required: false,
    activeStyle: {},
    platform: 'cross',
    showIcon: false,
    icon: "wage",
    iconColor: "red",
    visible: true,
    labelNumber: 7,
    id: "id",
    isSearch: false,
    renderRow: null,
    findUI: '',
    offline: false,
    parentType: '',
    uiorigin: '',
    RunInDesign: false,
    uititle: '',
    uitype: '',
    uikey: '',
    nid: '',
    control_event: {}
};

module.exports = YYRefer;
module.exports.YYReferTree = _YYReferTree2.default;