'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _modal = require('antd-mobile/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _pagination = require('antd-mobile/lib/pagination');

var _pagination2 = _interopRequireDefault(_pagination);

var _searchBar = require('antd-mobile/lib/search-bar');

var _searchBar2 = _interopRequireDefault(_searchBar);

var _activityIndicator = require('antd-mobile/lib/activity-indicator');

var _activityIndicator2 = _interopRequireDefault(_activityIndicator);

var _navBar = require('antd-mobile/lib/nav-bar');

var _navBar2 = _interopRequireDefault(_navBar);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _radio = require('antd-mobile/lib/radio');

var _radio2 = _interopRequireDefault(_radio);

var _checkbox = require('antd-mobile/lib/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/modal/style/css');

require('antd-mobile/lib/pagination/style/css');

require('antd-mobile/lib/search-bar/style/css');

require('antd-mobile/lib/activity-indicator/style/css');

require('antd-mobile/lib/nav-bar/style/css');

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/toast/style/css');

require('antd-mobile/lib/icon/style/css');

require('antd-mobile/lib/list/style/css');

require('antd-mobile/lib/radio/style/css');

require('antd-mobile/lib/checkbox/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./refer.less');

var _deleteTap = require('../delete-tap/deleteTap');

var _deleteTap2 = _interopRequireDefault(_deleteTap);

var _RestUrl = require('../../common/RestUrl');

var _RestUrl2 = _interopRequireDefault(_RestUrl);

var _FunctionUtil = require('../../utils/FunctionUtil');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CheckboxItem = _checkbox2.default.CheckboxItem;
var RadioItem = _radio2.default.RadioItem;
var Item = _list2.default.Item;
var page = void 0;
var referUrl = [];
var treereferUrl = [];
var relyfield = [];
var referTreeListParams = {};
var referParams = void 0;
var data = [];
var pageCount = [];
var NUM = 1;
var ListNum = {};
var PID = '';
var onsearch = false;
var searchNUM = 1;
var YYReferTreeList = function (_React$Component) {
    _inherits(YYReferTreeList, _React$Component);

    function YYReferTreeList(props) {
        _classCallCheck(this, YYReferTreeList);

        var _this = _possibleConstructorReturn(this, (YYReferTreeList.__proto__ || Object.getPrototypeOf(YYReferTreeList)).call(this, props));

        _this.onMultiChange = function (e, selectedNode) {
            var selectedNodes = _this.state.selectedNodes;
            if (!selectedNodes.some(function (item) {
                return item.id === selectedNode.id && item.catId === selectedNode.catId;
            })) {
                selectedNodes.push(selectedNode);
                selectedNode.checked = true;
                _this.setState({
                    selectedNodes: selectedNodes,
                    row: selectedNodes
                });
            } else {
                console.log('2');
                var newNodes = [];
                selectedNodes.map(function (item) {
                    if (!(item.id == selectedNode.id && item.catId == selectedNode.catId)) {
                        newNodes.push(item);
                    }
                });
                selectedNode.checked = false;
                _this.setState({
                    selectedNodes: newNodes,
                    row: newNodes
                });
            }
        };

        _this.onSingleChange = function (e, selectedNode) {
            if (selectedNode[_this.props.id] === _this.state.selectedId) {
                _this.setState({
                    selectedId: null,
                    selectedNode: {}
                });
            } else {
                _this.setState({
                    selectedId: selectedNode[_this.props.id],
                    selectedNode: selectedNode
                });
            }

            setTimeout(function () {
                _this.setState({
                    pageNumber: 1,
                    searchText: '',
                    showList: false
                });
                onsearch = false;
                var referParams = {};
                referTreeListParams = {};
                referParams.condition = _this.props.condition;
                if (_this.props.onOk && (0, _FunctionUtil.isFunction)(_this.props.onOk)) {
                    if (!_this.props.multiMode) {
                        _this.props.onOk(_this.state.selectedNode, _this.props.referName);
                        _this.setState({
                            selectedId: null
                        });
                    } else {
                        _this.props.onOk(_this.state.selectedNodes, _this.props.referName);

                        _this.setState({
                            selectedNodes: []
                        });
                    }
                }
            }, 0);
        };

        _this.onClose = function (key) {
            return function (e) {
                var referParams = {};
                referParams.condition = _this.props.condition;
                _this.setState({
                    showList: false
                });
                onsearch = false;
                NUM = 1;
                searchNUM = 1;
                _this.setState({
                    searchText: ''
                });
                _this.props.onClose(key);
            };
        };

        _this.onOk = function (key) {
            return function (e) {
                var _self = _this;
                _this.setState({
                    pageNumber: 1,
                    searchText: '',
                    showList: false
                });
                onsearch = false;
                var referParams = {};
                referTreeListParams = {};
                referParams.condition = _this.props.condition;
                if (_this.props.onOk && (0, _FunctionUtil.isFunction)(_this.props.onOk)) {
                    if (!_this.props.multiMode) {
                        _this.props.onOk(_this.state.selectedNode, key);
                        _this.setState({
                            selectedId: null
                        });
                    } else {
                        _this.props.onOk(_this.state.selectedNodes, key);

                        _this.setState({
                            selectedNodes: []
                        });
                    }
                }
            };
        };

        _this.onTreeChange = function (e, selectedNode) {
            e.stopPropagation();
            e.preventDefault();
            if (selectedNode.id === _this.state.selectedTreeId) {
                _this.setState({
                    selectedTreeId: null
                });
            } else {
                _this.setState({
                    selectedTreeId: selectedNode.id
                });
            }
            PID = selectedNode.id;

            if (data[_this.props.referName + selectedNode.id + 'list1']) {
                data[_this.props.referName + 'list'] = data[_this.props.referName + selectedNode.id + 'list1'];
                pageCount[_this.props.referName] = pageCount[_this.props.referName + selectedNode.id + 'list'];
                referTreeListParams.relyCondition = relyfield[_this.props.referName] + '=' + selectedNode.id;
                referTreeListParams.condition = _this.props.listCondition;
                referTreeListParams.pageSize = 10;
                _this.setState({
                    pageNumber: 1,
                    showList: true
                });
            } else {
                referTreeListParams.relyCondition = relyfield[_this.props.referName] + '=' + selectedNode.id;
                referTreeListParams.condition = _this.props.listCondition;
                referTreeListParams.pageSize = 10;
                _this.getListData(referUrl[_this.props.referName], referTreeListParams, 1, _this.props.referName);
            }
        };

        _this.onTreeSearchSubmit = function (value) {
            var totalData = data[_this.props.referName];
            var searchData = [];
            var searchKey = _this.props.displayField;
            if (value == '') {
                data[_this.props.referName + 'tree'] = data[_this.props.referName];
                _this.setState({
                    animating: false
                });
            } else {
                var search = function search(searchText, data) {
                    for (var i = 0; i < data.length; i++) {
                        if (data[i][searchKey].includes(searchText)) {
                            searchData.push(data[i]);
                        }
                        if (data[i].children !== null) {
                            search(searchText, data[i].children);
                        }
                    }
                };
                search(value, totalData);
                data[_this.props.referName + 'tree'] = searchData;
                _this.setState({
                    animating: false
                });
            }
        };

        _this.onSearchSubmit = function (value) {
            if (value == '') {
                onsearch = false;
                _this.setState({
                    searchText: value
                });
                referTreeListParams.searchText = '';
                data[_this.props.referName + 'list'] = data[_this.props.referName + PID + 'list' + 1];
                pageCount[_this.props.referName] = pageCount[_this.props.referName + PID + 'list'];
                _this.setState({
                    pageNumber: 1,
                    animating: false
                });
            } else {
                onsearch = true;
                _this.setState({
                    searchText: value
                });
                referTreeListParams.searchText = value;
                _this.getListData(referUrl[_this.props.referName], referTreeListParams, 1, _this.props.referName);
            }
        };

        _this._clickItem = function (item) {
            if (item.open == null) {
                item.open = true;
            } else {
                item.open = !item.open;
            }
            _this.setState({ animating: false });
        };

        _this.treeListContent = function (treeData, selectedId, show) {
            if (treeData) {
                return treeData.map(function (item, index) {
                    var arrow = '';
                    if (!item.open && item.children !== null) {
                        arrow = "right";
                    } else if (item.open) {
                        arrow = "down";
                    }
                    if (show) {
                        return _react2.default.createElement(
                            'div',
                            { style: { position: 'relative', paddingLeft: '15px' } },
                            _react2.default.createElement(
                                'div',
                                { className: 'refer-content', style: { borderBottom: '1px solid #CCCCCC' } },
                                _react2.default.createElement(
                                    RadioItem,
                                    { style: { width: '85vw' }, checked: selectedId === item.id, onChange: function onChange(e) {
                                            return _this.onTreeChange(e, item);
                                        }, key: item.id },
                                    _this.getItemContent(item)
                                ),
                                arrow !== '' && _react2.default.createElement(
                                    'div',
                                    { className: 'yyrefer-tree-icon-openclose', onClick: function onClick() {
                                            _this._clickItem(item);
                                        } },
                                    _react2.default.createElement(_icon2.default, { size: 'md', type: arrow, color: '#C7C7CC' })
                                )
                            ),
                            _react2.default.createElement(
                                'div',
                                { style: { paddingLeft: '10px' } },
                                _this.treeListContent(item.children, selectedId, item.open)
                            )
                        );
                    }
                });
            }
        };

        _this.listContent = function (data, selectedId) {
            if (_this.props.multiMode) {
                if (data) {
                    return data.map(function (item, index) {
                        return _react2.default.createElement(
                            CheckboxItem,
                            { key: index, onChange: function onChange(e) {
                                    return _this.onMultiChange(e, item);
                                }, checked: item.checked },
                            _this.getItemContent(item)
                        );
                    });
                }
            } else {
                if (data) {
                    return data.map(function (item, index) {
                        return _react2.default.createElement(
                            RadioItem,
                            { key: index, checked: selectedId === item[_this.props.id],
                                onChange: function onChange(e) {
                                    return _this.onSingleChange(e, item);
                                } },
                            _this.getItemContent(item)
                        );
                    });
                }
            }
        };

        _this.onChangePageNumber = function (value) {
            if (onsearch) {
                if (value > searchNUM) {
                    searchNUM++;
                    _this.setState({
                        pageNumber: value
                    });
                    var _referParams = {};
                    _referParams.condition = _this.props.condition;
                    _referParams.pageSize = 10;
                    if (_this.state.searchText !== '') {
                        _referParams.searchText = _this.state.searchText;
                        referTreeListParams.searchText = _this.state.searchText;
                    }
                    _this.getListData(referUrl[_this.props.referName], referTreeListParams, value, _this.props.referName);
                } else {
                    data[_this.props.referName + 'list'] = data[_this.props.referName + 'searchlist' + value];
                    _this.setState({
                        pageNumber: value,
                        animating: false
                    });
                }
            } else {
                if (value > ListNum[PID]) {
                    ListNum[PID]++;
                    _this.setState({
                        pageNumber: value
                    });
                    var _referParams2 = {};
                    _referParams2.condition = _this.props.condition;
                    _referParams2.pageSize = 10;
                    referTreeListParams.relyCondition = relyfield[_this.props.referName] + '=' + PID;

                    _this.getListData(referUrl[_this.props.referName], referTreeListParams, value, _this.props.referName);
                } else {
                    data[_this.props.referName + 'list'] = data[_this.props.referName + PID + 'list' + value];
                    _this.setState({
                        pageNumber: value,
                        animating: false
                    });
                }
            }
        };

        _this.handleClick = function (item) {
            var fulldata = data[_this.props.referName + 'selectlist'];
            var selectdata = _this.state.selectedNodes;
            for (var i = 0; i < selectdata.length; i++) {
                if (item === selectdata[i]) {
                    if (i == 0) {
                        selectdata.splice(0, 1);
                    } else {
                        selectdata.splice(i, 1);
                    }
                    _this.setState({
                        selectNodes: selectdata,
                        row: selectdata
                    });
                }
            }
            for (var _i = 0; _i < fulldata.length; _i++) {
                if (item.id == fulldata[_i].id) {
                    fulldata[_i].checked = false;
                }
            }
        };

        _this.state = {
            data: [],
            value: '',
            selectedId: null,
            selectedNode: {},
            selectedNodes: [],
            animating: false,
            pageCount: '',
            searchText: '',
            showList: false,
            row: []
        };
        return _this;
    }

    _createClass(YYReferTreeList, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextprops) {
            var offline = nextprops.offline;

            var ajax = window.YYUtils.Ajax;
            var getJSON = offline ? ajax.getJSONOffLine : ajax.getJSON;
            if (nextprops.open !== this.props.open) {
                if (nextprops.open) {
                    page = this;
                    var name = this.props.referName;
                    var open = this.props.open;
                    page.setState(_defineProperty({}, name, open));
                    var referCode = page.props.referCode;
                    var referStyle = page.props.referStyle;

                    getJSON.call(ajax, _RestUrl2.default.REF_SERVER_URL + _RestUrl2.default.GET_REFINFO_BYCODE, { refCode: referCode }, function (result) {
                        if (result.success) {
                            if (result.data !== null) {
                                data = {};
                                data[page.props.referName + 'selectlist'] = [];
                                NUM = 1;
                                onsearch = false;
                                searchNUM = 1;
                                referUrl[name] = result.data.dataurl;
                                treereferUrl[name] = result.data.treerelyurl;
                                relyfield[name] = result.data.relyfield;
                                referParams = {};

                                page.setState({
                                    referName: result.data.refName,
                                    referUrl: referUrl,
                                    row: [],
                                    selectedNodes: [] });
                                referParams.condition = page.props.condition;
                                page.getTreeData(treereferUrl[name], referParams, name);
                            } else {
                                _toast2.default.info(result.msg, 2);
                            }
                        } else {
                            _toast2.default.info("请检查参照编码!", 3);
                        }
                    }, function (err) {
                        _toast2.default.info("服务器通讯异常!", 3);
                    });
                }
            }
        }
    }, {
        key: 'getTreeData',
        value: function getTreeData(referUrl, referParams, contentname) {
            var offline = this.props.offline;

            var ajax = window.YYUtils.Ajax;
            var getText = offline ? ajax.getTextOffLine : ajax.getText;
            if (referUrl && referUrl != "") {
                var _self = this;
                _self.setState({
                    animating: true
                });
                getText.call(ajax, referUrl, referParams, function (result) {
                    if (result) {
                        try {
                            result = JSON.parse(result);
                        } catch (e) {
                            console.log("参照返回数据有异常!" + result);
                            result = [];
                            _self.setState({
                                animating: false
                            });
                            return false;
                        }
                        data[contentname] = result;
                        data[contentname + 'tree'] = result;
                    }
                    _self.setState({
                        animating: false
                    });
                }, function (err) {
                    _self.setState({
                        animating: false
                    });
                    _toast2.default.info("服务器通讯异常!", 1);
                });
            }
        }
    }, {
        key: 'getListData',
        value: function getListData(referUrl, referParams, pageNumber, contentname) {
            var offline = this.props.offline;

            var ajax = window.YYUtils.Ajax;
            var getJSON = offline ? ajax.getJSONOffLine : ajax.getJSON;
            var self = this;
            self.setState({
                animating: true
            });
            getJSON.call(ajax, referUrl, Object.assign({}, referParams, { pageNumber: pageNumber }), function (result) {
                if (result.code === 'success') {
                    if (result.data.content.length == 0) {
                        _toast2.default.info('获取数据信息为空', 2);
                    }
                    var pid = referParams.relyCondition.split('=')[1];
                    data[contentname + 'list'] = result.data.content;
                    if (onsearch) {
                        data[contentname + 'searchlist' + pageNumber] = result.data.content;
                    } else {
                        ListNum[pid] = pageNumber;
                        data[contentname + pid + 'list' + pageNumber] = result.data.content;
                        data[contentname + 'selectlist'] = [].concat(_toConsumableArray(data[contentname + 'selectlist']), _toConsumableArray(result.data.content));
                        pageCount[contentname + pid + 'list'] = result.data.pageCount;
                    }
                    pageCount[contentname] = result.data.pageCount;
                    self.setState({
                        pageNumber: pageNumber,
                        pageCount: result.data.pageCount,
                        animating: false,
                        showList: result.data.content.length
                    });
                } else {
                    data[contentname + 'list'] = [];
                    _toast2.default.info('获取物料信息失败', 2);
                    self.setState({
                        animating: false
                    });
                }
            }, function (err) {
                self.setState({
                    animating: false
                });
                _toast2.default.info("服务器通讯异常!", 1);
            });
        }
    }, {
        key: 'getItemContent',
        value: function getItemContent(item) {
            var displayField = this.props.displayField;

            if (this.props.renderRow) {
                var content = this.props.renderRow(item);
                if (content) {
                    return content;
                }
            }
            return item[displayField];
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _state = this.state,
                value = _state.value,
                selectedId = _state.selectedId,
                animating = _state.animating,
                pageNumber = _state.pageNumber,
                showList = _state.showList;
            var _props = this.props,
                referlabel = _props.referlabel,
                referCode = _props.referCode,
                multiMode = _props.multiMode,
                displayField = _props.displayField,
                disabled = _props.disabled,
                referStyle = _props.referStyle,
                referName = _props.referName,
                open = _props.open,
                modalHeight = _props.modalHeight,
                isSearch = _props.isSearch;

            return _react2.default.createElement(
                _wingBlank2.default,
                null,
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _modal2.default,
                    {
                        popup: true,
                        visible: disabled ? '' : open,
                        maskClosable: false,
                        animationType: 'slide-up' },
                    _react2.default.createElement(
                        'div',
                        { style: modalHeight == 'part' ? { height: '93vh', width: '100vw' } : {
                                height: '100vh',
                                width: '100vw', display: 'flex', flexDirection: 'column'
                            } },
                        _react2.default.createElement(
                            'div',
                            { className: 'Nav' },
                            _react2.default.createElement(
                                _navBar2.default,
                                { leftContent: '\u8FD4\u56DE',
                                    key: 'nav',
                                    mode: 'light',
                                    onLeftClick: this.onClose(referName),
                                    rightContent: [_react2.default.createElement(
                                        'a',
                                        { key: 'nav', onClick: this.onOk(referName) },
                                        '\u786E\u5B9A'
                                    )]
                                },
                                referlabel
                            )
                        ),
                        _react2.default.createElement(
                            'div',
                            null,
                            _react2.default.createElement(_activityIndicator2.default, {
                                toast: true,
                                text: '\u52A0\u8F7D\u4E2D...',
                                animating: animating
                            }),
                            _react2.default.createElement(
                                _list2.default,
                                { className: 'refer-tree-content' },
                                isSearch && _react2.default.createElement(_searchBar2.default, { placeholder: '\u641C\u7D22', onSubmit: this.onTreeSearchSubmit }),
                                this.treeListContent(data[referName + 'tree'], selectedId, true)
                            ),
                            _react2.default.createElement(
                                _modal2.default,
                                {
                                    popup: true,
                                    visible: showList,
                                    maskClosable: false,
                                    animationType: 'slide-up'
                                },
                                _react2.default.createElement(
                                    'div',
                                    { style: modalHeight == 'part' ? { height: '93vh', width: '100vw' } : {
                                            height: '100vh',
                                            width: '100vw', display: 'flex', flexDirection: 'column'
                                        } },
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'Nav' },
                                        _react2.default.createElement(
                                            _navBar2.default,
                                            { leftContent: '\u8FD4\u56DE',
                                                key: 'nav',
                                                mode: 'light',
                                                onLeftClick: function onLeftClick() {
                                                    _this2.setState({ selectedTreeId: null, showList: false });
                                                    referTreeListParams = {};NUM = 1;searchNUM = 1;onsearch = false;
                                                },
                                                rightContent: [_react2.default.createElement(
                                                    'a',
                                                    { key: 'nav', onClick: this.onOk(referName) },
                                                    '\u786E\u5B9A'
                                                )]
                                            },
                                            referlabel
                                        )
                                    ),
                                    _react2.default.createElement(_activityIndicator2.default, {
                                        toast: true,
                                        text: '\u52A0\u8F7D\u4E2D...',
                                        animating: animating
                                    }),
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'refer-tree-content' },
                                        isSearch && _react2.default.createElement(_searchBar2.default, { placeholder: '\u641C\u7D22', onSubmit: this.onSearchSubmit, onCancel: function onCancel() {
                                                return console.log('cancel');
                                            } }),
                                        _react2.default.createElement(
                                            _list2.default,
                                            { className: 'list-content' },
                                            this.listContent(data[referName + 'list'], selectedId)
                                        ),
                                        onsearch ? '' : _react2.default.createElement(_pagination2.default, { total: pageCount[referName],
                                            onChange: this.onChangePageNumber,
                                            className: 'custom-pagination-with-icon',
                                            current: pageCount[referName] > 0 ? pageNumber : 0,
                                            locale: {
                                                prevText: _react2.default.createElement(
                                                    'span',
                                                    { className: 'arrow-align' },
                                                    '\u4E0A\u4E00\u9875'
                                                ),
                                                nextText: _react2.default.createElement(
                                                    'span',
                                                    { className: 'arrow-align' },
                                                    '\u4E0B\u4E00\u9875'
                                                )
                                            }
                                        })
                                    ),
                                    multiMode ? _react2.default.createElement(
                                        'div',
                                        { className: 'yyrefer-tap' },
                                        _react2.default.createElement(
                                            'div',
                                            { style: { width: 'auto' } },
                                            _react2.default.createElement(_deleteTap2.default, { rows: this.state.row, displayField: displayField,
                                                handleClick: this.handleClick })
                                        )
                                    ) : ''
                                )
                            )
                        ),
                        multiMode ? _react2.default.createElement(
                            'div',
                            { className: 'yyrefer-tap' },
                            _react2.default.createElement(
                                'div',
                                { style: { width: 'auto' } },
                                _react2.default.createElement(_deleteTap2.default, { rows: this.state.row, displayField: displayField,
                                    handleClick: this.handleClick })
                            )
                        ) : ''
                    )
                )
            );
        }
    }]);

    return YYReferTreeList;
}(_react2.default.Component);

exports.default = YYReferTreeList;

YYReferTreeList.defaultProps = {
    referlabel: '参照',
    referCode: '00026',
    modalHeight: 'all',
    displayField: 'name',
    referParams: {},
    multiMode: true,
    disabled: false,
    open: false,
    onOk: {},
    referName: 'key',
    referStyle: 'list',
    condition: {},
    listCondition: {}
};