'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/wing-blank/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYSearchBar = require('../YYSearchBar');

var _YYSearchBar2 = _interopRequireDefault(_YYSearchBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYSearchBarDemo = function (_React$Component) {
    _inherits(YYSearchBarDemo, _React$Component);

    function YYSearchBarDemo() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYSearchBarDemo);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYSearchBarDemo.__proto__ || Object.getPrototypeOf(YYSearchBarDemo)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            value: '美食'
        }, _this.onChange = function (val) {
            console.log(val);
        }, _this.clear = function (val) {
            console.log(val);
        }, _this.handleClick = function () {
            _this.manualFocusInst.focus();
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYSearchBarDemo, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            this.a.focus();
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: 'sub-title' },
                        'Normal'
                    )
                ),
                _react2.default.createElement(_YYSearchBar2.default, { placeholder: 'Search', maxLength: 8 }),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: 'sub-title' },
                        'AutoFocus when enter page'
                    )
                ),
                _react2.default.createElement(_YYSearchBar2.default, { placeholder: '\u81EA\u52A8\u83B7\u53D6\u5149\u6807', ref: function ref(_ref2) {
                        return _this2.a = _ref2;
                    } }),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: 'sub-title' },
                        'Focus by operation'
                    )
                ),
                _react2.default.createElement(_YYSearchBar2.default, {
                    placeholder: '\u624B\u52A8\u83B7\u53D6\u83B7\u53D6\u5149\u6807',
                    ref: function ref(_ref3) {
                        return _this2.manualFocusInst = _ref3;
                    }
                }),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        _button2.default,
                        {
                            onClick: this.handleClick
                        },
                        'click to focus'
                    )
                ),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'div',
                        { className: 'sub-title' },
                        'Show cancel button'
                    )
                ),
                _react2.default.createElement(_YYSearchBar2.default, {
                    value: this.state.value,
                    placeholder: 'Search',
                    onSubmit: function onSubmit(value) {
                        return console.log(value, 'onSubmit');
                    },
                    onClear: function onClear(value) {
                        return console.log(value, 'onClear');
                    },
                    onFocus: function onFocus() {
                        return console.log('onFocus');
                    },
                    onBlur: function onBlur() {
                        return console.log('onBlur');
                    },
                    onCancel: function onCancel() {
                        return console.log('onCancel');
                    },
                    showCancelButton: true,
                    onChange: this.onChange
                })
            );
        }
    }]);

    return YYSearchBarDemo;
}(_react2.default.Component);

exports.default = YYSearchBarDemo;