'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _stepper = require('antd-mobile/lib/stepper');

var _stepper2 = _interopRequireDefault(_stepper);

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/stepper/style/css');

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYStepperDemo = function (_React$Component) {
    _inherits(YYStepperDemo, _React$Component);

    function YYStepperDemo() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYStepperDemo);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYStepperDemo.__proto__ || Object.getPrototypeOf(YYStepperDemo)).call.apply(_ref, [this].concat(args))), _this), _this.submit = function () {
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }
                    _toast2.default.info(arr[0].errors[0].message, 1.5);
                    console.log(arr[0].errors[0].message);
                }
            });
        }, _this.Change = function (val) {
            console.log(val);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYStepperDemo, [{
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_index.YYStepper, {
                    field: 'stepper1',
                    min: 1,
                    max: 10,
                    defaultValue: 8,
                    form: form
                }),
                _react2.default.createElement(_index.YYStepper, {
                    label: 'disabled',
                    field: 'stepper2',
                    disabled: true,
                    defaultValue: 8,
                    form: form
                }),
                _react2.default.createElement(_index.YYStepper, {
                    label: 'step\u53EF\u4EE5\u662F\u5C0F\u6570 onChange',
                    field: 'stepper3',
                    min: 1,
                    max: 10,
                    defaultValue: 1.5,
                    step: 0.5,
                    form: form,
                    onChange: this.Change
                }),
                _react2.default.createElement(_stepper2.default, {
                    min: 1,
                    max: 10,
                    defaultValue: 1.5,
                    step: 0.5,
                    showNumber: true,
                    onChange: this.Change
                }),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.submit },
                    '\u70B9\u51FB\u663E\u793A\u6240\u6709value'
                )
            );
        }
    }]);

    return YYStepperDemo;
}(_react2.default.Component);

exports.default = _index.YYForm.create()(YYStepperDemo);