'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _steps = require('antd-mobile/lib/steps');

var _steps2 = _interopRequireDefault(_steps);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/steps/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('./../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Step = _steps2.default.Step;

var YYSteps = function (_React$Component) {
    _inherits(YYSteps, _React$Component);

    function YYSteps() {
        _classCallCheck(this, YYSteps);

        return _possibleConstructorReturn(this, (YYSteps.__proto__ || Object.getPrototypeOf(YYSteps)).apply(this, arguments));
    }

    _createClass(YYSteps, [{
        key: 'getChildren',
        value: function getChildren() {
            var children = this.props.children;

            children && Array.prototype.slice.call(children);
            children = children && children.constructor == Array ? children : [children];
            if (children && children.length) {
                return children.map(function (item) {
                    var visible = item.props.visible;

                    return _react2.default.createElement(Step, _extends({}, item.props, { icon: item.props.icon ? _react2.default.createElement(_YYIcon2.default, { type: item.props.icon }) : null }));
                });
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var visible = this.props.visible;

            return _react2.default.createElement(
                _steps2.default,
                _extends({}, this.props, {
                    className: !visible && 'hidden' }),
                this.getChildren()
            );
        }
    }]);

    return YYSteps;
}(_react2.default.Component);

exports.default = YYSteps;


YYSteps.defaultProps = {
    current: 0,
    size: "",
    status: "process",
    direction: "vertical",
    visible: true
};