'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tabBar = require('antd-mobile/lib/tab-bar');

var _tabBar2 = _interopRequireDefault(_tabBar);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/tab-bar/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FunctionUtil = require('../../utils/FunctionUtil');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYTabBar = function (_React$Component) {
    _inherits(YYTabBar, _React$Component);

    function YYTabBar() {
        _classCallCheck(this, YYTabBar);

        return _possibleConstructorReturn(this, (YYTabBar.__proto__ || Object.getPrototypeOf(YYTabBar)).apply(this, arguments));
    }

    _createClass(YYTabBar, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                tabs = _props.tabs,
                children = _props.children;

            var pathname = this.props.location.pathname;
            return _react2.default.createElement(
                'div',
                { style: { position: 'fixed', height: '100%', width: '100%', top: 0 } },
                _react2.default.createElement(
                    _tabBar2.default,
                    null,
                    tabs.length > 0 ? tabs.map(function (item, index) {
                        return _react2.default.createElement(
                            _tabBar2.default.Item,
                            {
                                key: index,
                                title: item.title,
                                badge: item.badge,
                                icon: _react2.default.createElement('div', { style: {
                                        width: '22px',
                                        height: '22px',
                                        background: 'url(' + item.icon + ') center center /  21px 21px no-repeat'
                                    } }),
                                selectedIcon: _react2.default.createElement('div', { style: {
                                        width: '22px',
                                        height: '22px',
                                        background: 'url(' + item.selectedIcon + ') center center /  21px 21px no-repeat'
                                    } }),
                                selected: pathname === item.route,
                                onPress: function onPress() {
                                    if ((0, _FunctionUtil.isFunction)(item.onPress)) {
                                        item.onPress();
                                    } else {
                                        _this2.props.router.push(item.route);
                                    }
                                } },
                            pathname === item.route ? children : null
                        );
                    }) : null
                )
            );
        }
    }]);

    return YYTabBar;
}(_react2.default.Component);

;

YYTabBar.defaultProps = {};

exports.default = YYTabBar;