'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _tag = require('antd-mobile/lib/tag');

var _tag2 = _interopRequireDefault(_tag);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/tag/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('./../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYTag = function (_React$Component) {
  _inherits(YYTag, _React$Component);

  function YYTag() {
    _classCallCheck(this, YYTag);

    return _possibleConstructorReturn(this, (YYTag.__proto__ || Object.getPrototypeOf(YYTag)).apply(this, arguments));
  }

  _createClass(YYTag, [{
    key: 'onChange',
    value: function onChange(selected) {
      this.props.onChange && this.props.onChange(selected);
    }
  }, {
    key: 'onClose',
    value: function onClose() {
      this.props.onClose && this.props.onClose();
    }
  }, {
    key: 'afterClose',
    value: function afterClose() {
      this.props.afterClose && this.props.afterClose();
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          content = _props.content,
          className = _props.className,
          visible = _props.visible,
          restProps = _objectWithoutProperties(_props, ['content', 'className', 'visible']);

      var areaClz = (0, _classnames2.default)('yy-tag', !visible && 'hidden', className);
      return _react2.default.createElement(
        _tag2.default,
        _extends({ className: areaClz }, restProps, { onChange: this.onChange.bind(this), onClose: this.onClose.bind(this), afterClose: this.afterClose.bind(this) }),
        content
      );
    }
  }]);

  return YYTag;
}(_react2.default.Component);

exports.default = YYTag;


YYTag.defaultProps = {
  small: false,
  disabled: false,
  closable: false,
  selected: false,
  visible: true
};