'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var YYToast = {
    success: function success(content) {
        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3;
        var onClose = arguments[2];
        var mask = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

        _toast2.default.success(content, duration, onClose, mask);
    },
    fail: function fail(content) {
        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3;
        var onClose = arguments[2];
        var mask = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

        _toast2.default.fail(content, duration, onClose, mask);
    },
    info: function info(content) {
        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3;
        var onClose = arguments[2];
        var mask = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

        _toast2.default.info(content, duration, onClose, mask);
    },
    loading: function loading(content) {
        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3;
        var onClose = arguments[2];
        var mask = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

        _toast2.default.loading(content, duration, onClose, mask);
    },
    offline: function offline(content) {
        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 3;
        var onClose = arguments[2];
        var mask = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

        _toast2.default.offline(content, duration, onClose, mask);
    },
    hide: function hide() {
        _toast2.default.hide();
    }
};

exports.default = YYToast;