import React, {Component} from 'react';
import { Card} from 'antd-mobile';
import './YYCard.less';
import classnames from 'classnames';
class YYCard extends Component {
  render() {
    let {RunInDesign,full,className,title,titleExtra,thumb,bodyContent,showTitle,footerContent,footerExtra,showTitleExtra,showThumb,showFooter,showHeader,showFooterContent,showFooterExtra,visible} = this.props;
    let wrapClz = classnames('yy-card', (!visible&&'hidden'),className);
    let  thumbImg=thumb;
    if(RunInDesign&&(!thumbImg||thumbImg=="")){
    	/****设计期 当没有图片值时给一个默认的图片*****/
      thumbImg="https://cloud.githubusercontent.com/assets/1698185/18039916/f025c090-6dd9-11e6-9d86-a4d48a1bf049.png";
    }
    return (
      <Card full={full} className={wrapClz}>
      {
      	!showHeader||<Card.Header
        title={!showTitle||title}
        thumb={!showThumb||thumbImg}
        extra={!showTitleExtra||titleExtra}
      />
      }
        <Card.Body>{bodyContent}</Card.Body>
        {!showFooter||
        	<Card.Footer content={!showFooterContent||footerContent} extra={!showFooterExtra||footerExtra} />
         }
       </Card>
    );
  }
}
YYCard.defaultProps = {
  visible: true
}
export default YYCard;