import classnames from 'classnames';
import React, {PureComponent} from 'react'
import {Flex} from 'antd-mobile'

export default class YYFlex extends PureComponent {

    static defaultProps = {
        prefixCls: 'yy-flex'
    };

    render() {
        const {prefixCls, className, children, ...restProps} = this.props;
        const wrapCls = classnames(prefixCls, className);
        return (
            <Flex className={wrapCls} {...restProps}>
                {children}
            </Flex>
        )
    }
}
