import React, {Component} from 'react';
import YYIcon from '../icon/YYIcon';
import {Toast} from 'antd-mobile';
import Base64 from '../../utils/base64';
class YYVoice extends Component {//语音识别
  onClick() {
    var _this = this;
    if (window.YYPlugin) {
      window.YYPlugin.call("CommonPlugin", "openVoiceRecognition", {}, function success(data){
        if(_this.props.onClick){
          _this.props.onClick(data.voice);
        }
      });
    }
    else {
      Toast.info('请在手机上进行调试或检查yyplus的引入！')
    }
  }
  render() {
    let { icon, iconColor } = this.props;
    return (
      <YYIcon type={icon} color={iconColor} size="xs" onClick={this.onClick.bind(this)}/>
    );
  }
}
YYVoice.defaultProps = {
  icon: 'Public',
  iconColor: '#0091fa',
}
export default YYVoice;
