import React from 'react'
import {Steps} from 'antd-mobile'
import YYIcon from './../icon/YYIcon';

const Step = Steps.Step;

export default class YYSteps extends React.Component {
	getChildren(){
		let  {children}=this.props;
		children&&Array.prototype.slice.call(children);
    children = (children&&children.constructor==Array)?children:[children];
		if(children&&children.length){
		  return	children.map((item)=>{
        let {visible} = item.props;
			  return <Step  {...item.props} icon={item.props.icon?<YYIcon  type={item.props.icon} />:null}>
			        </Step>
		     })
		}
	}
    render(){
        let {visible} = this.props;
        return(
            <Steps  {...this.props}
            className={!visible&&'hidden'}>
            {this.getChildren()}
            </Steps>
        )

    }
}

YYSteps.defaultProps = {
   current:0,//当前默认选中
   size:"",//默认为空
   status:"process",//指定当前步骤的状态，可选 wait process finish error
   direction:"vertical", //
   visible: true
};
