'use strict';

var EnvConfig = window.EnvConfig || {};

var URL_HOME = '/';
var ADDR = EnvConfig.ADDR;
var MAURL = EnvConfig.MAURL;
var ROOT_PATH = EnvConfig.ROOT_PATH;
var REF_SERVER_URL = EnvConfig.REF_SERVER_URL;
var URL_HOME_PORTAL = EnvConfig.URL_HOME_PORTAL;
var URL_WORKBENCH = EnvConfig.URL_WORKBENCH;

var GET_REFINFO_BYCODE = '/icop-support-web/refer/findByCode';

var MODULE_URL = {
    GET_PAGE_DATA: ADDR + '/icop-quickdev-mobile-web/ide/module/findByAppCodeAndPageCode',
    GET_RESOURCE_DATA: ADDR + '/icop-quickdev-mobile-web/ide/resource/getData/{appCode}/{resourceCode}',
    loginContextUrl: ADDR + ROOT_PATH + "/ssoLogin/checkToken",
    checkUpesnToken: ADDR + ROOT_PATH + "/upesn/checkUpesnToken",
    getBpmIds: ADDR + '/icop-bpmcenter-web/bpm/getBpmIds',
    getBpmId: ADDR + '/icop-bpmcenter-web/bpm/getBpmId',
    querySingleHistoricProcessInfo: ADDR + '/icop-bpmcenter-web/bpm/querySingleHistoricProcessInfo',
    beforeReject: ADDR + '/icop-bpmcenter-web/bpm/beforeReject',
    doApprove: ADDR + '/icop-bpmcenter-web/bpm/doApprove',
    delegateTaskCompletely: ADDR + '/icop-bpmcenter-web/bpm/delegateTaskCompletely',
    disApprove: ADDR + '/icop-bpmcenter-web/bpm/disApprove',
    diagramUrl: ADDR + '/icop-bpmcenter-web/pages/diagram-viewer/index.html?processInstanceId=',
    queryAssignUser: ADDR + '/icop-bpmcenter-web/bpm/queryAssignUser',
    queryStartAssignUser: ADDR + '/icop-bpmcenter-web/bpm/queryStartAssignUser',
    unapprove: ADDR + '/icop-bpmcenter-web/bpm/unapprove',
    doCallBack: ADDR + '/icop-bpmcenter-web/bpm/doCallBack',
    getAllSign: ADDR + '/icop-bpmcenter-web/addsign/getAll',
    saveSign: ADDR + '/icop-bpmcenter-web/addsign/save',
    completeSignTask: ADDR + '/icop-bpmcenter-web/addsign/completeSignTask',
    beforeSubmit: ADDR + '/icop-bpmcenter-web/bpm/beforeSubmit',
    getConfigList: ADDR + '/icop-bpmcenter-web/processConfig/getConfigList',
    doSubmit: ADDR + '/icop-bpmcenter-web/bpm/doSubmit',
    getTemplates: ADDR + '/icop-support-web/searchTemplate/getPersonalTemplates' };
var NEWS_IMG_DEFAULT = EnvConfig.NEWS_IMG_DEFAULT;

module.exports = {
    URL_HOME: URL_HOME,
    ADDR: ADDR,
    MAURL: MAURL,
    ROOT_PATH: ROOT_PATH,
    REF_SERVER_URL: REF_SERVER_URL,
    URL_HOME_PORTAL: URL_HOME_PORTAL,
    URL_WORKBENCH: URL_WORKBENCH,
    GET_REFINFO_BYCODE: GET_REFINFO_BYCODE,
    MODULE_URL: MODULE_URL,
    NEWS_IMG_DEFAULT: NEWS_IMG_DEFAULT
};