'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _accordion = require('antd-mobile/lib/accordion');

var _accordion2 = _interopRequireDefault(_accordion);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/accordion/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYAccordion = function (_Component) {
    _inherits(YYAccordion, _Component);

    function YYAccordion() {
        _classCallCheck(this, YYAccordion);

        return _possibleConstructorReturn(this, (YYAccordion.__proto__ || Object.getPrototypeOf(YYAccordion)).apply(this, arguments));
    }

    _createClass(YYAccordion, [{
        key: 'render',
        value: function render() {
            var accordionCls = (0, _classnames2.default)('yy-accordion', this.props.className);
            return _react2.default.createElement(
                _accordion2.default,
                _extends({}, this.props, { className: accordionCls }),
                this.props.children
            );
        }
    }]);

    return YYAccordion;
}(_react.Component);

YYAccordion.Panel = _accordion2.default.Panel;

YYAccordion.defaultProps = {};
exports.default = YYAccordion;