'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _activityIndicator = require('antd-mobile/lib/activity-indicator');

var _activityIndicator2 = _interopRequireDefault(_activityIndicator);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/activity-indicator/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYActivityIndicator = function (_Component) {
  _inherits(YYActivityIndicator, _Component);

  function YYActivityIndicator(props) {
    _classCallCheck(this, YYActivityIndicator);

    var _this = _possibleConstructorReturn(this, (YYActivityIndicator.__proto__ || Object.getPrototypeOf(YYActivityIndicator)).call(this, props));

    _this.state = {
      animating: props.animating
    };
    return _this;
  }

  _createClass(YYActivityIndicator, [{
    key: 'setAnimating',
    value: function setAnimating(animating) {
      this.setState({
        animating: animating
      });
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextprops) {
      this.setState({
        animating: nextprops.animating
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var restProps = _objectWithoutProperties(this.props, []);

      var wrapClz = (0, _classnames2.default)('yy-activity-indicator', this.props.className);
      return _react2.default.createElement(_activityIndicator2.default, _extends({}, restProps, {
        className: wrapClz,
        animating: this.state.animating }));
    }
  }]);

  return YYActivityIndicator;
}(_react.Component);

YYActivityIndicator.defaultProps = {};
exports.default = YYActivityIndicator;