'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYPropTypes = require('./YYPropTypes');

var _YYPropTypes2 = _interopRequireDefault(_YYPropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYClassCreate = function (_React$Component) {
    _inherits(YYClassCreate, _React$Component);

    function YYClassCreate(props) {
        _classCallCheck(this, YYClassCreate);

        var _this = _possibleConstructorReturn(this, (YYClassCreate.__proto__ || Object.getPrototypeOf(YYClassCreate)).call(this, props));

        _initialiseProps.call(_this);

        _this.classPrefix = 'yyui';
        _this.uiName = 'base';
        return _this;
    }

    _createClass(YYClassCreate, [{
        key: 'render',
        value: function render() {
            var _props = {},
                field;

            var _meta = this.props.uiMeta;
            if (_meta && _meta.fields && _meta.fields.length > 0) {
                for (var i = 0; i < _meta.fields.length; i++) {
                    field = _meta.fields[i];
                    if (!field || field.value === undefined || field.type == _YYPropTypes2.default.func && field.value === null) {
                        continue;
                    }
                    _props[field.name] = field.value;
                }

                return _props;
            }
            return _react2.default.createElement(
                'div',
                _extends({}, this.props, { className: this.className }),
                this.props.children
            );
        }
    }]);

    return YYClassCreate;
}(_react2.default.Component);

var _initialiseProps = function _initialiseProps() {
    var _this2 = this;

    this.className = function (extClass) {
        var props = _this2.props;

        var cls = (props.className ? props.className + ' ' : '') + _this2.classPrefix + '-';
        if (_this2.uiMeta) {
            cls += _this2.uiMeta.name;
        } else {
            cls += _this2.uiName;
        }
        if (extClass) {
            return cls + '-' + extClass;
        } else {
            return cls;
        }
    };
};

module.exports = YYClassCreate;