"use strict";

module.exports = {
    array: "array",
    bool: "bool",
    func: "func",
    number: "number",
    object: "object",
    string: "string",
    symbol: "symbol",
    any: "any", node: "node", element: "element", arrayOf: function arrayOf(val) {
        return { name: 'arrayOf', value: val };
    },
    instanceOf: function instanceOf(val) {
        return { name: 'instanceOf', value: val };
    },
    objectOf: function objectOf(val) {
        return { name: 'objectOf', value: val };
    },
    oneOf: function oneOf(val) {
        return { name: 'oneOf', value: val };
    },
    oneOfType: function oneOfType(val) {
        return { name: 'oneOfType', value: val };
    },
    shape: function shape(val) {
        return { name: 'shape', value: val };
    }
};