'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _modal = require('antd-mobile/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/modal/style/css');

require('antd-mobile/lib/icon/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYToast = require('../toast/YYToast');

var _YYToast2 = _interopRequireDefault(_YYToast);

var _YYNavBar = require('../navBar/YYNavBar');

var _YYNavBar2 = _interopRequireDefault(_YYNavBar);

var _YYIcon = require('./../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

var _YYRefer = require('./../refer/YYRefer');

var _YYRefer2 = _interopRequireDefault(_YYRefer);

var _YYAssignRef = require('./../bpm/YYAssignRef');

var _YYAssignRef2 = _interopRequireDefault(_YYAssignRef);

var _YYForm = require('./../form/YYForm');

var _YYForm2 = _interopRequireDefault(_YYForm);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _RestUrl = require('../../common/RestUrl');

require('./YYApprove.less');

var _util = require('../../utils/util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _list2.default.Item;

var YYAddSignModal = function (_Component) {
  _inherits(YYAddSignModal, _Component);

  function YYAddSignModal(props) {
    _classCallCheck(this, YYAddSignModal);

    var _this = _possibleConstructorReturn(this, (YYAddSignModal.__proto__ || Object.getPrototypeOf(YYAddSignModal)).call(this, props));

    _this.getAllSigner = function () {
      var ajax = window.YYUtils.Ajax;
      var param = { taskid: _this.props.taskId };
      ajax.getText(_RestUrl.MODULE_URL.getAllSign, param, function (msg) {
        msg = msg["length"] && msg.length > 1 ? JSON.parse(msg) : "";
        if (msg !== "" && msg["success"]) {
          _this.setState({
            addSignData: msg["data"]
          });
        }
      });
    };

    _this.closeAssign = function () {
      _this.setState({
        modalVisible: false
      });
      if (_lodash2.default.isFunction(_this.props.onClose)) {
        _this.props.onClose();
      }
    };

    _this.renderItemDom = function () {
      var personList = [],
          assignList = [],
          addSignData = _this.state.addSignData,
          length = addSignData.length;

      addSignData.forEach(function (value, index) {
        var stateValue = _this.renderItemState(value);
        personList.push(_react2.default.createElement(
          'span',
          { key: "name" + value["id"] },
          value["assigneeName"],
          length !== index + 1 ? "、" : ""
        ));
        if (value["taskstate"] === 1) {
          assignList.push(_react2.default.createElement(
            Item,
            { key: "list" + value["id"], className: 'yy-bpm-addAssignRef-modal-personListLi' },
            _react2.default.createElement(
              'p',
              { className: 'yy-bpm-addAssignRef-personListLi-title' },
              _react2.default.createElement(
                'span',
                null,
                value["assigneeName"]
              ),
              _react2.default.createElement(
                'span',
                { style: { borderColor: stateValue["stateColor"], color: stateValue["stateColor"] } },
                stateValue["stateText"]
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'yy-bpm-addAssignRef-personListLi-body' },
              _react2.default.createElement(
                'p',
                null,
                _react2.default.createElement(
                  'span',
                  null,
                  '\u52A0\u7B7E\u65F6\u95F4\uFF1A'
                ),
                _react2.default.createElement(
                  'span',
                  null,
                  (0, _util.getAppointDate)(value["createtime"])["TimeStr"]
                )
              ),
              value["endtime"] !== null ? _react2.default.createElement(
                'p',
                null,
                _react2.default.createElement(
                  'span',
                  null,
                  '\u5904\u7406\u65F6\u95F4\uFF1A'
                ),
                _react2.default.createElement(
                  'span',
                  null,
                  (0, _util.getAppointDate)(value["endtime"])["TimeStr"]
                )
              ) : null
            ),
            _react2.default.createElement(
              'p',
              { className: 'yy-bpm-addAssignRef-personListLi-footer' },
              _react2.default.createElement(
                'span',
                null,
                '\u5BA1\u6279\u8BED\uFF1A'
              ),
              _react2.default.createElement(
                'span',
                null,
                value["comment"]
              )
            )
          ));
        }
      });
      return { personList: personList, assignList: assignList };
    };

    _this.renderItemState = function (value) {
      var stateValue = {
        stateText: "",
        stateColor: ""
      };
      if (value["taskstate"] === 1) {
        if (value["optype"] === 0) {
          stateValue["stateText"] = "拒绝";
          stateValue["stateColor"] = "#FF6161";
        } else if (value["optype"] === 1) {
          stateValue["stateText"] = "同意";
          stateValue["stateColor"] = "#31CB7B";
        }
      } else if (value["taskstate"] === 0) {
        stateValue["stateText"] = "未处理";
        stateValue["stateColor"] = "#FF9C00";
      } else if (value["taskstate"] === 2) {
        stateValue["stateText"] = "终止";
        stateValue["stateColor"] = "#7D8291";
      }
      return stateValue;
    };

    _this.onOkAddSigner = function (users) {
      var ajax = window.YYUtils.Ajax;
      if (users.length > 0) {
        var userIds = [];
        users.forEach(function (value) {
          userIds.push(value["id"]);
        });
        var param = { userIds: userIds, taskid: _this.props.taskId };
        ajax.postText(_RestUrl.MODULE_URL.saveSign, param, function (msg) {
          msg = JSON.parse(msg);
          if (msg["success"]) {
            _this.setState({ referOpen: false });
            _this.getAllSigner();
          }
        });
      } else {
        _YYToast2.default.fail('请选择加签人员', 2);
      }
    };

    _this.state = {
      modalVisible: _this.props.visible,
      addSignData: [],
      referOpen: false
    };
    return _this;
  }

  _createClass(YYAddSignModal, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.getAllSigner();
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextprops) {
      if (nextprops.visible !== this.state.visible) {
        this.setState({
          modalVisible: nextprops.visible
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var addSignData = this.state.addSignData;

      var renderItem = this.renderItemDom();
      var form = this.props.form;

      return _react2.default.createElement(
        _modal2.default,
        { popup: true,
          visible: this.state.modalVisible,
          maskClosable: false,
          animationType: 'slide-up' },
        _react2.default.createElement(
          'div',
          { className: 'yy-bpm-assignRef-modal-body' },
          _react2.default.createElement(
            'div',
            { className: 'yy-bpm-addAssignRef-modal-body-nav' },
            _react2.default.createElement(
              _YYNavBar2.default,
              {
                mode: 'light',
                leftContent: _react2.default.createElement(_icon2.default, { type: 'left' }),
                onLeftClick: this.closeAssign },
              '\u52A0\u7B7E'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: 'yy-bpm-addAssignRef-modal-middle' },
            _react2.default.createElement(
              'div',
              { className: 'yy-bpm-addAssignRef-modal-middle-add yylib-borderBottomOnePxZk' },
              _react2.default.createElement(
                'span',
                { className: 'yy-bpm-addAssignRef-modal-middle-addSpan', onClick: function onClick() {
                    _this2.setState({ referOpen: true });
                  } },
                _react2.default.createElement(_YYIcon2.default, {
                  className: 'action-icon', type: 'approvejiaqianAdd', style: { color: "#0091FA" }, size: 'xxs' }),
                _react2.default.createElement(
                  'span',
                  null,
                  '\u6211\u8981\u52A0\u7B7E'
                )
              ),
              _react2.default.createElement(_YYRefer2.default, {
                referlabel: '\u9009\u62E9\u52A0\u7B7E\u4EBA\u5458',
                form: form,
                custom: true,
                referName: 'Addsigner',
                isSearch: true,
                onOk: this.onOkAddSigner,
                onClose: function onClose() {
                  _this2.setState({ referOpen: false });
                },
                multiMode: true,
                open: this.state.referOpen,
                referCode: '00081',
                referStyle: 'list' })
            ),
            _react2.default.createElement(
              'div',
              { className: 'yy-bpm-addAssignRef-modal-middle-person' },
              _react2.default.createElement(
                'p',
                null,
                '\u88AB\u52A0\u7B7E\u4EBA(',
                addSignData.length,
                ')'
              ),
              _react2.default.createElement(
                'p',
                null,
                renderItem["personList"]
              )
            )
          ),
          _react2.default.createElement(
            _list2.default,
            { className: 'yy-bpm-addAssignRef-modal-personList' },
            renderItem["assignList"]
          )
        )
      );
    }
  }]);

  return YYAddSignModal;
}(_react.Component);

exports.default = YYAddSignModal = _YYForm2.default.create()(YYAddSignModal);