'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _navBar = require('antd-mobile/lib/nav-bar');

var _navBar2 = _interopRequireDefault(_navBar);

var _icon = require('antd-mobile/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _popover = require('antd-mobile/lib/popover');

var _popover2 = _interopRequireDefault(_popover);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/nav-bar/style/css');

require('antd-mobile/lib/icon/style/css');

require('antd-mobile/lib/popover/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYApprove = require('../YYApprove');

var _YYApprove2 = _interopRequireDefault(_YYApprove);

var _YYIcon = require('../../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _popover2.default.Item;

var YYApproveDemo = function (_React$Component) {
    _inherits(YYApproveDemo, _React$Component);

    function YYApproveDemo(props) {
        _classCallCheck(this, YYApproveDemo);

        var _this = _possibleConstructorReturn(this, (YYApproveDemo.__proto__ || Object.getPrototypeOf(YYApproveDemo)).call(this, props));

        _this.onSelect = function (opt, index) {
            _this.setState({
                visible: false
            });
            if (index == 0) {
                _this.showApprove();
            }
        };

        _this.showApprove = function () {
            _this.setState({
                showApprove: true
            });
        };

        _this.state = {
            showApprove: false,
            visible: false
        };
        return _this;
    }

    _createClass(YYApproveDemo, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _navBar2.default,
                    { mode: 'light', rightContent: _react2.default.createElement(
                            _popover2.default,
                            {
                                visible: this.state.visible,
                                overlay: [_react2.default.createElement(
                                    Item,
                                    { icon: _react2.default.createElement(_YYIcon2.default, { type: 'edit', size: 'xs' }) },
                                    '\u6267\u884C\u5BA1\u6279'
                                ), _react2.default.createElement(
                                    Item,
                                    { disabled: true, icon: _react2.default.createElement(_icon2.default, { type: 'cross', size: 'xs' }) },
                                    '\u6267\u884C\u5F03\u5BA1'
                                ), _react2.default.createElement(
                                    Item,
                                    { icon: _react2.default.createElement(_YYIcon2.default, { type: 'more-o', size: 'xs' }) },
                                    '\u5BA1\u6279\u5386\u53F2'
                                )],
                                onSelect: this.onSelect
                            },
                            _react2.default.createElement(
                                'div',
                                null,
                                '\u5BA1\u6279'
                            )
                        )
                    },
                    'NavBar'
                ),
                this.state.showApprove ? _react2.default.createElement(_YYApprove2.default, {
                    showApprove: this.state.showApprove,
                    billTypeId: 'CTM3',
                    userId: '5db93165-c97e-4929-b865-b355355c108b',
                    billId: 'd5177e502eb5a32be7dd145489f6edde' }) : null
            );
        }
    }]);

    return YYApproveDemo;
}(_react2.default.Component);

exports.default = YYApproveDemo;