'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./YYButtonBar.css');

var _FunctionUtil = require('../../utils/FunctionUtil');

var _YYButton = require('./YYButton');

var _YYButton2 = _interopRequireDefault(_YYButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYButtonBar = function (_Component) {
  _inherits(YYButtonBar, _Component);

  function YYButtonBar() {
    _classCallCheck(this, YYButtonBar);

    return _possibleConstructorReturn(this, (YYButtonBar.__proto__ || Object.getPrototypeOf(YYButtonBar)).apply(this, arguments));
  }

  _createClass(YYButtonBar, [{
    key: 'onClick',
    value: function onClick(e) {
      if ((0, _FunctionUtil.isFunction)(this.props.onClick)) {
        var itemIndex = e.target.parentNode.getAttribute('data-id') || e.target.parentNode.parentNode.getAttribute('data-id');
        if (e.target.parentNode.nodeName === 'svg') {
          itemIndex = e.target.parentNode.parentNode.parentNode.getAttribute('data-id');
        }
        this.props.onClick(itemIndex);
      }
    }
  }, {
    key: 'getChildren',
    value: function getChildren() {
      var children = this.props.children;

      if (_.isArray(children)) {
        return children.map(function (item, index) {
          var restProps = _objectWithoutProperties(item.props, []);

          return _react2.default.createElement(
            'div',
            { key: index, className: 'yy-button-bar-item', 'data-id': index },
            item
          );
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var visible = this.props.visible;

      var wrapClz = (0, _classnames2.default)('yy-button-bar', !visible && 'hidden', this.props.className);
      return _react2.default.createElement(
        'div',
        { className: wrapClz, onClick: this.onClick.bind(this) },
        this.getChildren()
      );
    }
  }]);

  return YYButtonBar;
}(_react.Component);

YYButtonBar.defaultProps = {
  visible: true
};
exports.default = YYButtonBar;