'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _card = require('antd-mobile/lib/card');

var _card2 = _interopRequireDefault(_card);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/card/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./YYCard.less');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYCard = function (_Component) {
  _inherits(YYCard, _Component);

  function YYCard() {
    _classCallCheck(this, YYCard);

    return _possibleConstructorReturn(this, (YYCard.__proto__ || Object.getPrototypeOf(YYCard)).apply(this, arguments));
  }

  _createClass(YYCard, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          RunInDesign = _props.RunInDesign,
          full = _props.full,
          className = _props.className,
          title = _props.title,
          titleExtra = _props.titleExtra,
          thumb = _props.thumb,
          bodyContent = _props.bodyContent,
          showTitle = _props.showTitle,
          footerContent = _props.footerContent,
          footerExtra = _props.footerExtra,
          showTitleExtra = _props.showTitleExtra,
          showThumb = _props.showThumb,
          showFooter = _props.showFooter,
          showHeader = _props.showHeader,
          showFooterContent = _props.showFooterContent,
          showFooterExtra = _props.showFooterExtra,
          visible = _props.visible;

      var wrapClz = (0, _classnames2.default)('yy-card', !visible && 'hidden', className);
      var thumbImg = thumb;
      if (RunInDesign && (!thumbImg || thumbImg == "")) {
        thumbImg = "https://cloud.githubusercontent.com/assets/1698185/18039916/f025c090-6dd9-11e6-9d86-a4d48a1bf049.png";
      }
      return _react2.default.createElement(
        _card2.default,
        { full: full, className: wrapClz },
        !showHeader || _react2.default.createElement(_card2.default.Header, {
          title: !showTitle || title,
          thumb: !showThumb || thumbImg,
          extra: !showTitleExtra || titleExtra
        }),
        _react2.default.createElement(
          _card2.default.Body,
          null,
          bodyContent
        ),
        !showFooter || _react2.default.createElement(_card2.default.Footer, { content: !showFooterContent || footerContent, extra: !showFooterExtra || footerExtra })
      );
    }
  }]);

  return YYCard;
}(_react.Component);

YYCard.defaultProps = {
  visible: true
};
exports.default = YYCard;