'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _checkbox = require('antd-mobile/lib/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/checkbox/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _FunctionUtil = require('../../utils/FunctionUtil');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CheckboxItem = _checkbox2.default.CheckboxItem;
var AgreeItem = _checkbox2.default.AgreeItem;

var YYCheckbox = function (_React$Component) {
    _inherits(YYCheckbox, _React$Component);

    function YYCheckbox() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYCheckbox);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYCheckbox.__proto__ || Object.getPrototypeOf(YYCheckbox)).call.apply(_ref, [this].concat(args))), _this), _this._onChange = function (event) {
            if (event && event.target) {
                event.target.value = event.target.checked;
            }
            if ((0, _FunctionUtil.isFunction)(_this.props.onChange)) {
                _this.props.onChange(event);
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYCheckbox, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                custom = _props.custom,
                label = _props.label,
                children = _props.children,
                visible = _props.visible,
                restProps = _objectWithoutProperties(_props, ['custom', 'label', 'children', 'visible']);

            var wrapClz = (0, _classnames2.default)('yy-checkbox', !visible && 'hidden', this.props.className);
            return _react2.default.createElement(
                'div',
                null,
                custom ? _react2.default.createElement(
                    AgreeItem,
                    _extends({}, restProps, {
                        className: wrapClz,
                        onChange: this._onChange
                    }),
                    label ? label : children
                ) : _react2.default.createElement(
                    CheckboxItem,
                    _extends({}, restProps, {
                        className: wrapClz,
                        onChange: this._onChange
                    }),
                    label ? label : children
                )
            );
        }
    }]);

    return YYCheckbox;
}(_react2.default.Component);

YYCheckbox.defaultProps = {
    custom: false,
    label: '',
    visible: true
};

exports.default = YYCheckbox;