'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/list/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var nowTimeStamp = Date.now();
var now = new Date(nowTimeStamp);

var YYDatePickerDemo = function (_React$Component) {
    _inherits(YYDatePickerDemo, _React$Component);

    function YYDatePickerDemo() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYDatePickerDemo);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYDatePickerDemo.__proto__ || Object.getPrototypeOf(YYDatePickerDemo)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (date) {
            console.log(date);
        }, _this.submit = function () {
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }
                    _toast2.default.info(arr[0].errors[0].message, 1.5);
                    console.log(arr[0].errors[0].message);
                }
            });
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYDatePickerDemo, [{
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _index.YYForm,
                    null,
                    _react2.default.createElement(
                        _list2.default,
                        null,
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'date', field: 'date1', form: form }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'date', field: 'date2', form: form, minDate: new Date('2010-1-1'), label: '\u6700\u5927\u6700\u5C0F\u503C' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'date', field: 'date3', form: form, value: now, label: '\u9ED8\u8BA4\u503C' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'date', field: 'date4', form: form, value: now, disabled: true, label: '\u4E0D\u53EF\u7F16\u8F91' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'date', field: 'date5', form: form, onChange: this.onChange, label: 'onChange' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'time', field: 'time1', form: form }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'time', field: 'time2', form: form, use12Hours: true, label: '12\u5C0F\u65F6' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'time', field: 'time3', form: form, minuteStep: 10, label: '\u5206\u949F\u6570\u9012\u589E\u6B65\u957F' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'datetime', field: 'datetime1', form: form, label: '\u65E5\u671F+\u65F6\u95F4datetime' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'datetime', field: 'datetime2', form: form, label: 'datetime format', format: 'YYYY-MM-DD' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'year', field: 'year', form: form, label: '\u5E74year' }),
                        _react2.default.createElement(_index.YYDatePicker, { mode: 'month', field: 'month', form: form, label: '\u6708month' }),
                        _react2.default.createElement(
                            _button2.default,
                            { onClick: this.submit },
                            '\u70B9\u51FB\u83B7\u53D6\u6240\u6709\u503C'
                        )
                    )
                )
            );
        }
    }]);

    return YYDatePickerDemo;
}(_react2.default.Component);

exports.default = _index.YYForm.create()(YYDatePickerDemo);