'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _drawer = require('antd-mobile/lib/drawer');

var _drawer2 = _interopRequireDefault(_drawer);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/drawer/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./YYDrawer.less');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYDrawer = function (_Component) {
  _inherits(YYDrawer, _Component);

  function YYDrawer() {
    _classCallCheck(this, YYDrawer);

    return _possibleConstructorReturn(this, (YYDrawer.__proto__ || Object.getPrototypeOf(YYDrawer)).apply(this, arguments));
  }

  _createClass(YYDrawer, [{
    key: 'onOpenChange',
    value: function onOpenChange(flag) {
      this.props.onOpenChange && this.props.onOpenChange(flag);
    }
  }, {
    key: 'renderSidebar',
    value: function renderSidebar() {
      var sidebar = _react2.default.createElement('div', null);
      if (this.props.renderSidebar) {
        sidebar = this.props.renderSidebar();
      }

      return sidebar;
    }
  }, {
    key: 'render',
    value: function render() {
      var _extends2;

      var _props = this.props,
          RunInDesign = _props.RunInDesign,
          children = _props.children,
          open = _props.open,
          position = _props.position,
          width = _props.width,
          dragToggleDistance = _props.dragToggleDistance,
          docked = _props.docked,
          className = _props.className,
          sidebarStyle = _props.sidebarStyle,
          contentStyle = _props.contentStyle,
          overlayStyle = _props.overlayStyle,
          dragHandleStyle = _props.dragHandleStyle,
          restProps = _objectWithoutProperties(_props, ['RunInDesign', 'children', 'open', 'position', 'width', 'dragToggleDistance', 'docked', 'className', 'sidebarStyle', 'contentStyle', 'overlayStyle', 'dragHandleStyle']);

      var wrapClz = (0, _classnames2.default)('yy-drawer', className);
      if (RunInDesign) {
        if (window.ModelID && this.props.nid == window.ModelID) {
          open = true;
        }
      }
      return _react2.default.createElement(
        _drawer2.default,
        _extends({}, restProps, (_extends2 = {
          className: wrapClz,
          style: { minHeight: document.documentElement.clientHeight },
          enableDragHandle: false,
          contentStyle: { color: '#A6A6A6', textAlign: 'center', paddingTop: 42 },
          sidebar: this.renderSidebar(),
          open: open,
          position: position,
          dragToggleDistance: dragToggleDistance,
          onOpenChange: this.onOpenChange.bind(this),
          sidebarStyle: sidebarStyle ? sidebarStyle : { width: width }
        }, _defineProperty(_extends2, 'contentStyle', contentStyle), _defineProperty(_extends2, 'overlayStyle', overlayStyle), _defineProperty(_extends2, 'dragHandleStyle', dragHandleStyle), _defineProperty(_extends2, 'docked', docked ? open : docked), _extends2)),
        children
      );
    }
  }]);

  return YYDrawer;
}(_react.Component);

YYDrawer.defaultProps = {
  position: 'left',
  dragToggleDistance: 30,
  width: '80%',
  docked: false,
  enableDragHandle: false,
  sidebarStyle: null,
  contentStyle: null,
  overlayStyle: null,
  dragHandleStyle: null,
  children: ''
};
exports.default = YYDrawer;