'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _grid = require('antd-mobile/lib/grid');

var _grid2 = _interopRequireDefault(_grid);

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/grid/style/css');

require('antd-mobile/lib/wing-blank/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('../YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYIconDemo = function (_Component) {
    _inherits(YYIconDemo, _Component);

    function YYIconDemo() {
        _classCallCheck(this, YYIconDemo);

        return _possibleConstructorReturn(this, (YYIconDemo.__proto__ || Object.getPrototypeOf(YYIconDemo)).apply(this, arguments));
    }

    _createClass(YYIconDemo, [{
        key: 'render',
        value: function render() {
            var list = ['check-circle', 'check', 'check-circle-o', 'cross-circle', 'cross', 'cross-circle-o', 'up', 'down', 'left', 'right', 'ellipsis', 'loading'];
            var listData = list.map(function (item) {
                return {
                    icon: _react2.default.createElement(_YYIcon2.default, { type: item }),
                    text: item
                };
            });

            var listSvg = ["arrowDown", "arrowNext", "arrowBack", "arrowUp", "Discover", "Home", "Mine", "List", "Notice", "Add", "colletFill", "Create", "Edit", "Delete", "colletUnfill", "Find", "Image", "Scan", "Send", "Public", "approve", "submit", "attachment", "tablebody", "header", "shape"];
            var listSvgData = listSvg.map(function (item) {
                return {
                    icon: _react2.default.createElement(_YYIcon2.default, { type: item }),
                    text: item
                };
            });
            var size = ['xxs', 'xs', 'sm', 'md', 'lg'];
            var data = size.map(function (item) {
                return {
                    icon: _react2.default.createElement(_YYIcon2.default, { type: 'Home', color: 'red', size: item }),
                    text: item
                };
            });
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'h3',
                        null,
                        '\u57FA\u672C ',
                        '<YYIcon type="search" />'
                    )
                ),
                _react2.default.createElement(_grid2.default, { data: listData, columnNum: 4, hasLine: false, activeStyle: false }),
                _react2.default.createElement(_whiteSpace2.default, { size: 'lg' }),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'h3',
                        null,
                        '\u5927\u5C0F ',
                        '<YYIcon type="Home" size="lg"/>'
                    )
                ),
                _react2.default.createElement(_grid2.default, { data: data, columnNum: 5, hasLine: false, activeStyle: false }),
                _react2.default.createElement(_whiteSpace2.default, { size: 'lg' }),
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(
                        'h3',
                        null,
                        '\u7528\u53CB\u5EFA\u7B51\u56FE\u6807 ',
                        '<YYIcon type=“Home”/>'
                    )
                ),
                _react2.default.createElement(_grid2.default, { data: listSvgData, columnNum: 4, hasLine: false, activeStyle: false })
            );
        }
    }]);

    return YYIconDemo;
}(_react.Component);

exports.default = YYIconDemo;