'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYImagePickerDemo = function (_React$Component) {
    _inherits(YYImagePickerDemo, _React$Component);

    function YYImagePickerDemo(props) {
        _classCallCheck(this, YYImagePickerDemo);

        var _this = _possibleConstructorReturn(this, (YYImagePickerDemo.__proto__ || Object.getPrototypeOf(YYImagePickerDemo)).call(this, props));

        _this.onChange = function (files) {
            _this.setState({ files: files });
        };

        _this.onClick = function () {
            console.log(_this.state.files);
        };

        _this.state = {
            files: []
        };
        return _this;
    }

    _createClass(YYImagePickerDemo, [{
        key: 'componentDidMount',
        value: function componentDidMount() {}
    }, {
        key: 'render',
        value: function render() {
            var source = {
                sourceId: '22222222222',
                sourceType: '102345678',
                billType: 'M-01' };
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_index.YYImagePicker, { label: '\u56FE\u7247\u4E0A\u4F20',
                    source: source,
                    maxSize: 6,
                    files: this.state.files,
                    multiple: true,
                    disabled: true,
                    onChange: this.onChange }),
                _react2.default.createElement(
                    'div',
                    { onClick: this.onClick },
                    '\u70B9\u51FB\u67E5\u770B\u4E0A\u4F20\u56FE\u7247\u5217\u8868console'
                )
            );
        }
    }]);

    return YYImagePickerDemo;
}(_react2.default.Component);

exports.default = YYImagePickerDemo;