'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _navBar = require('antd-mobile/lib/nav-bar');

var _navBar2 = _interopRequireDefault(_navBar);

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/nav-bar/style/css');

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYInput = require('../../input/YYInput');

var _YYInput2 = _interopRequireDefault(_YYInput);

var _FormWidget = require('../../form/FormWidget');

var _FormWidget2 = _interopRequireDefault(_FormWidget);

var _YYForm = require('../../form/YYForm');

var _YYForm2 = _interopRequireDefault(_YYForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYInputDemo = function (_React$Component) {
    _inherits(YYInputDemo, _React$Component);

    function YYInputDemo(props) {
        _classCallCheck(this, YYInputDemo);

        var _this = _possibleConstructorReturn(this, (YYInputDemo.__proto__ || Object.getPrototypeOf(YYInputDemo)).call(this, props));

        _this.onOk = function (value) {
            console.log(value);
            console.log('1');
        };

        _this.submit = function () {
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }
                    _toast2.default.info(arr[0].errors[0].message, 1.5);
                    console.log(arr[0].errors[0].message);
                }
            });
        };

        _this.state = {
            name: ''
        };
        return _this;
    }

    _createClass(YYInputDemo, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _navBar2.default,
                    null,
                    'Title'
                ),
                _react2.default.createElement(_YYInput2.default, {
                    form: this.props.form,
                    label: '\u4EBA\u5458\u85AA\u91D1\u52A0\u4E00\u4E8C',
                    field: 'name-1',
                    extra: '\u4ECA\u5929',
                    disabled: true,
                    clear: true,
                    updatePlaceholder: true,
                    onExtraClick: this.onOk,
                    required: true,
                    value: this.state.name
                }),
                _react2.default.createElement(_YYInput2.default, {
                    form: this.props.form,
                    label: '\u4EBA\u5458\u624B\u673A',
                    field: 'name-2',
                    showIcon: true,
                    clear: false,
                    type: 'phone',
                    icon: 'phone',
                    required: true,
                    value: this.state.name
                }),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _button2.default,
                    { type: 'ghost', onClick: this.submit },
                    '\u63D0\u4EA4\u9A8C\u8BC1'
                )
            );
        }
    }]);

    return YYInputDemo;
}(_react2.default.Component);

exports.default = _YYForm2.default.create()(YYInputDemo);