'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./YYLabel.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYLabel = function (_Component) {
  _inherits(YYLabel, _Component);

  function YYLabel() {
    _classCallCheck(this, YYLabel);

    return _possibleConstructorReturn(this, (YYLabel.__proto__ || Object.getPrototypeOf(YYLabel)).apply(this, arguments));
  }

  _createClass(YYLabel, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          uititle = _props.uititle,
          style = _props.style,
          inline = _props.inline,
          visible = _props.visible,
          className = _props.className,
          offline = _props.offline,
          parentType = _props.parentType,
          uiorigin = _props.uiorigin,
          RunInDesign = _props.RunInDesign,
          uitype = _props.uitype,
          uikey = _props.uikey,
          nid = _props.nid,
          findUI = _props.findUI,
          restProps = _objectWithoutProperties(_props, ['uititle', 'style', 'inline', 'visible', 'className', 'offline', 'parentType', 'uiorigin', 'RunInDesign', 'uitype', 'uikey', 'nid', 'findUI']);

      var wrapClz = (0, _classnames2.default)({
        'yy-label': true,
        'hidden': !visible,
        className: className
      });
      return inline ? _react2.default.createElement(
        'span',
        _extends({}, restProps, { className: wrapClz, style: style }),
        uititle
      ) : _react2.default.createElement(
        'div',
        _extends({}, restProps, { className: wrapClz, style: style }),
        _react2.default.createElement(
          'span',
          null,
          uititle
        )
      );
    }
  }]);

  return YYLabel;
}(_react.Component);

YYLabel.defaultProps = {
  visible: true,

  offline: false,
  parentType: '',
  uiorigin: '',
  RunInDesign: false,
  uitype: '',
  uikey: '',
  nid: '',
  findUI: ''
};
module.exports = YYLabel;