'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _modal = require('antd-mobile/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _textareaItem = require('antd-mobile/lib/textarea-item');

var _textareaItem2 = _interopRequireDefault(_textareaItem);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/modal/style/css');

require('antd-mobile/lib/textarea-item/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

var _rcForm = require('rc-form');

require('./YYReply.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ = require('lodash');

var YYComment = function (_React$Component) {
  _inherits(YYComment, _React$Component);

  function YYComment(props) {
    _classCallCheck(this, YYComment);

    var _this = _possibleConstructorReturn(this, (YYComment.__proto__ || Object.getPrototypeOf(YYComment)).call(this, props));

    _this.onClose = function () {
      _this.setState({
        visible: false
      });
    };

    _this.state = {
      visible: false
    };
    return _this;
  }

  _createClass(YYComment, [{
    key: 'send',
    value: function send(item) {
      var getFieldValue = this.props.form.getFieldValue;
      var selectRow = this.props.selectRow;

      var value = getFieldValue('comment');
      if (!_.isEmpty(item)) {
        var param = {
          content: value,
          pid: item.id,
          replyId: item.userid,
          replyName: item.username
        };
        this.props.send(param);
      } else {
        var param = {
          content: value,
          sourceBillType: selectRow.billType,
          sourceBillId: selectRow.id
        };
        this.props.send(param);
      }
      this.setState({ visible: false });
    }
  }, {
    key: 'liked',
    value: function liked(item) {
      this.props.liked(item.id);
    }
  }, {
    key: 'onReply',
    value: function onReply() {
      this.setState({
        visible: true
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props$form = this.props.form,
          getFieldProps = _props$form.getFieldProps,
          getFieldValue = _props$form.getFieldValue;
      var _props = this.props,
          item = _props.item,
          position = _props.position;

      var value = getFieldValue('comment');
      var sendClass = 'send';
      if (value && value.length) {
        sendClass = 'send';
      } else {
        sendClass = 'send disable';
      }
      return _react2.default.createElement(
        'div',
        { className: 'commtents comment-operation-' + position },
        _react2.default.createElement(
          'div',
          { className: 'comment-operation' },
          _react2.default.createElement(
            'span',
            { className: 'comment', onClick: this.onReply.bind(this, item) },
            _react2.default.createElement(_YYIcon2.default, { type: 'huifu' }),
            position && _react2.default.createElement(
              'span',
              { className: 'pinglun' },
              '\u8BC4\u8BBA'
            )
          ),
          !_.isEmpty(item) ? _react2.default.createElement(
            'span',
            { className: item.liked && 'liked', onClick: this.liked.bind(this, item) },
            _react2.default.createElement(_YYIcon2.default, { type: 'dianzan1' })
          ) : null,
          !_.isEmpty(item) ? _react2.default.createElement(
            'span',
            { className: 'count' },
            item.likeCount
          ) : null
        ),
        _react2.default.createElement(
          _modal2.default,
          {
            popup: true,
            transparent: true,
            animationType: 'slide-up',
            onClose: this.onClose,
            visible: this.state.visible },
          _react2.default.createElement(_textareaItem2.default, _extends({
            className: 'comment-text'
          }, getFieldProps('comment', {
            initialValue: ''
          }), {
            rows: 2 })),
          _react2.default.createElement(
            'span',
            { className: sendClass, onClick: value && value.length ? this.send.bind(this, item) : null },
            '\u53D1\u9001'
          )
        )
      );
    }
  }]);

  return YYComment;
}(_react2.default.Component);

YYComment.defaultProps = {
  item: {}
};
exports.default = (0, _rcForm.createForm)()(YYComment);