'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/toast/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYModal = require('./YYModal');

var _YYModal2 = _interopRequireDefault(_YYModal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var prompt = _YYModal2.default.prompt;

var YYModalDemo = function (_React$Component) {
  _inherits(YYModalDemo, _React$Component);

  function YYModalDemo(props) {
    _classCallCheck(this, YYModalDemo);

    var _this = _possibleConstructorReturn(this, (YYModalDemo.__proto__ || Object.getPrototypeOf(YYModalDemo)).call(this, props));

    _this.showModal = function (key) {
      return function (e) {
        e.preventDefault();
        _this.setState(_defineProperty({}, key, true));
      };
    };

    _this.onClose = function (key) {
      return function () {
        _this.setState(_defineProperty({}, key, false));
      };
    };

    _this.onWrapTouchStart = function (e) {
      if (!/iPhone|iPod|iPad/i.test(navigator.userAgent)) {
        return;
      }
      var pNode = closest(e.target, '.am-modal-content');
      if (!pNode) {
        e.preventDefault();
      }
    };

    _this.state = {
      modal: false
    };
    return _this;
  }

  _createClass(YYModalDemo, [{
    key: 'getPopUp',
    value: function getPopUp() {
      return _react2.default.createElement(
        _list2.default,
        { renderHeader: function renderHeader() {
            return _react2.default.createElement(
              'div',
              null,
              '\u59D4\u6258\u4E70\u5165'
            );
          }, className: 'popup-list' },
        ['股票名称', '股票代码', '买入价格'].map(function (i, index) {
          return _react2.default.createElement(
            _list2.default.Item,
            { key: index },
            i
          );
        }),
        _react2.default.createElement(
          _list2.default.Item,
          null,
          _react2.default.createElement(
            _button2.default,
            { type: 'primary', onClick: this.onClose('modal2') },
            '\u4E70\u5165'
          )
        )
      );
    }
  }, {
    key: 'getContent',
    value: function getContent() {
      return _react2.default.createElement(
        'div',
        { style: { height: 100, overflow: 'scroll' } },
        'scoll content...',
        _react2.default.createElement('br', null),
        'scoll content...',
        _react2.default.createElement('br', null),
        'scoll content...',
        _react2.default.createElement('br', null),
        'scoll content...',
        _react2.default.createElement('br', null),
        'scoll content...',
        _react2.default.createElement('br', null),
        'scoll content...',
        _react2.default.createElement('br', null)
      );
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {}
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var modalContent = this.getContent();
      var modal2Content = this.getPopUp();
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _button2.default,
          { onClick: this.showModal('modal') },
          'basic'
        ),
        _react2.default.createElement(
          _button2.default,
          { onClick: this.showModal('modal2') },
          'popup'
        ),
        _react2.default.createElement(
          _button2.default,
          { onClick: function onClick() {
              return prompt('input name', 'please input your name', [{
                text: 'Close',
                onPress: function onPress(value) {
                  return new Promise(function (resolve) {
                    _toast2.default.info('onPress promise resolve', 1);
                    setTimeout(function () {
                      resolve();
                      console.log('value:' + value);
                    }, 1000);
                  });
                }
              }, {
                text: 'Hold on',
                onPress: function onPress(value) {
                  return new Promise(function (resolve, reject) {
                    _toast2.default.info('onPress promise reject', 1);
                    setTimeout(function () {
                      reject();
                      console.log('value:' + value);
                    }, 1000);
                  });
                }
              }], 'default', null, ['input your name']);
            }
          },
          'promise'
        ),
        _react2.default.createElement(_YYModal2.default, {
          visible: this.state.modal,
          transparent: true,
          maskClosable: false,
          onClose: this.onClose('modal'),
          title: '我得模块',
          footer: [{ text: 'Ok', onPress: function onPress() {
              console.log('ok');_this2.onClose('modal')();
            } }],
          modalContent: modalContent
        }),
        _react2.default.createElement(_YYModal2.default, {
          popup: true,
          visible: this.state.modal2,
          maskClosable: false,
          animationType: 'slide-up',
          modalContent: modal2Content
        })
      );
    }
  }]);

  return YYModalDemo;
}(_react2.default.Component);

YYModalDemo.defaultProps = {};
exports.default = YYModalDemo;