'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _noticeBar = require('antd-mobile/lib/notice-bar');

var _noticeBar2 = _interopRequireDefault(_noticeBar);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/notice-bar/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYIcon = require('./../icon/YYIcon');

var _YYIcon2 = _interopRequireDefault(_YYIcon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYNoticeBar = function (_React$Component) {
    _inherits(YYNoticeBar, _React$Component);

    function YYNoticeBar() {
        _classCallCheck(this, YYNoticeBar);

        return _possibleConstructorReturn(this, (YYNoticeBar.__proto__ || Object.getPrototypeOf(YYNoticeBar)).apply(this, arguments));
    }

    _createClass(YYNoticeBar, [{
        key: 'onClick',
        value: function onClick() {
            this.props.onClick && this.props.onClick();
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                icon = _props.icon,
                content = _props.content,
                loop = _props.loop,
                direction = _props.direction,
                findUI = _props.findUI,
                offline = _props.offline,
                parentType = _props.parentType,
                uiorigin = _props.uiorigin,
                RunInDesign = _props.RunInDesign,
                uititle = _props.uititle,
                uitype = _props.uitype,
                uikey = _props.uikey,
                nid = _props.nid,
                control_event = _props.control_event,
                restProps = _objectWithoutProperties(_props, ['icon', 'content', 'loop', 'direction', 'findUI', 'offline', 'parentType', 'uiorigin', 'RunInDesign', 'uititle', 'uitype', 'uikey', 'nid', 'control_event']);

            var marqueeProps = { loop: loop, direction: direction };
            return _react2.default.createElement(
                _noticeBar2.default,
                _extends({}, restProps, { icon: icon ? _react2.default.createElement(_YYIcon2.default, { type: icon }) : null, onClick: this.onClick.bind(this), marqueeProps: marqueeProps }),
                content
            );
        }
    }]);

    return YYNoticeBar;
}(_react2.default.Component);

exports.default = YYNoticeBar;


YYNoticeBar.defaultProps = {
    mode: "",

    findUI: '',
    offline: false,
    parentType: '',
    uiorigin: '',
    RunInDesign: false,
    uititle: '',
    uitype: '',
    uikey: '',
    nid: '',
    control_event: {}

};