'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _progress = require('antd-mobile/lib/progress');

var _progress2 = _interopRequireDefault(_progress);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/progress/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./YYProgress.less');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYProgress = function (_Component) {
  _inherits(YYProgress, _Component);

  function YYProgress(props) {
    _classCallCheck(this, YYProgress);

    return _possibleConstructorReturn(this, (YYProgress.__proto__ || Object.getPrototypeOf(YYProgress)).call(this, props));
  }

  _createClass(YYProgress, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          percent = _props.percent,
          position = _props.position,
          unfilled = _props.unfilled,
          showPercent = _props.showPercent,
          visible = _props.visible,
          restProps = _objectWithoutProperties(_props, ['percent', 'position', 'unfilled', 'showPercent', 'visible']);

      var wrapClz = (0, _classnames2.default)('yy-progress', !visible && 'hidden', this.props.className);
      return _react2.default.createElement(_progress2.default, _extends({}, restProps, {
        className: wrapClz,
        percent: percent,
        position: position,
        unfilled: unfilled,
        appearTransition: true }));
    }
  }]);

  return YYProgress;
}(_react.Component);

YYProgress.defaultProps = {
  percent: 0,
  position: "normal",
  unfilled: false,
  visible: true
};
exports.default = YYProgress;