'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYCreateView = require('./YYCreateView');

var _YYCreateView2 = _interopRequireDefault(_YYCreateView);

var _DefaultParser = require('./DefaultParser');

var _DefaultParser2 = _interopRequireDefault(_DefaultParser);

var _ReduxUtils = require('./../../utils/ReduxUtils');

var _ReduxUtils2 = _interopRequireDefault(_ReduxUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DesignPage = _react2.default.createClass({
    displayName: 'DesignPage',
    componentDidMount: function componentDidMount() {
        var sendAction = this.props.sendAction;

        window.afterLoadComplete(sendAction);
    },

    render: function render() {
        var _props = this.props,
            uiMeta = _props.uiMeta,
            uiRunMode = _props.uiRunMode;

        return _react2.default.createElement(_YYCreateView2.default, { RunInDesign: true, uiMeta: uiMeta, uiRunMode: uiRunMode, parserControl: _DefaultParser2.default });
    }
});
var mapStateToProps = function mapStateToProps(state) {
    return {
        uiMeta: state.preview.uiMeta,
        uiRunMode: state.preview.uiRunMode
    };
};
var MobileQuickDev = _ReduxUtils2.default.connect(DesignPage, mapStateToProps);
exports.default = MobileQuickDev;