'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYForm = require('../../form/YYForm');

var _YYForm2 = _interopRequireDefault(_YYForm);

var _YYRefer = require('../YYRefer');

var _YYRefer2 = _interopRequireDefault(_YYRefer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYReferNewDemo = function (_React$Component) {
    _inherits(YYReferNewDemo, _React$Component);

    function YYReferNewDemo(props) {
        _classCallCheck(this, YYReferNewDemo);

        var _this = _possibleConstructorReturn(this, (YYReferNewDemo.__proto__ || Object.getPrototypeOf(YYReferNewDemo)).call(this, props));

        _this.openRefer = function (e) {

            if (e == '1') {
                _this.setState({
                    open: true
                });
            } else if (e == '2') {
                _this.setState({
                    openz: true
                });
            } else if (e == '3') {
                _this.setState({
                    openw: true
                });
            }
        };

        _this.onOk = function (value, name) {
            console.log(value);
            console.log(name);
            switch (name) {
                case 'zyl':
                    _this.setState({
                        open: false
                    });
                    break;
                case 'lzf':
                    _this.setState({
                        openz: false
                    });
                    break;
                case 'whh':
                    _this.setState({
                        openw: false
                    });
                    break;
                default:
                    break;
            }
        };

        _this.onClose = function (name) {
            switch (name) {
                case 'zyl':
                    _this.setState({
                        open: false
                    });
                    break;
                case 'lzf':
                    _this.setState({
                        openz: false
                    });
                    break;
                case 'whh':
                    _this.setState({
                        openw: false
                    });
                    break;
            }
        };

        _this.showform = function () {
            _this.props.form.validateFields(['zyl', 'lzf', 'whh'], function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }

                    console.log(arr[0].errors[0].message);
                }
            });
        };

        _this.state = {
            init: '',
            open: false,
            openz: false,
            openw: false
        };
        return _this;
    }

    _createClass(YYReferNewDemo, [{
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.openRefer.bind(this, '1') },
                    '\u70B9\u51FB\u9009\u62E9\u53C2\u71671'
                ),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.openRefer.bind(this, '2') },
                    '\u70B9\u51FB\u9009\u62E9\u53C2\u71672'
                ),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.openRefer.bind(this, '3') },
                    '\u70B9\u51FB\u9009\u62E9\u53C2\u71673'
                ),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.showform },
                    '\u70B9\u51FB\u663E\u793Avalue'
                ),
                _react2.default.createElement(_YYRefer2.default, {
                    referName: 'zyl',
                    onOk: this.onOk,
                    onClose: this.onClose,
                    multiMode: true,
                    custom: true,
                    open: this.state.open,
                    form: form,

                    referStyle: 'list',
                    values: [{ code: "15110101919",
                        creationTimestamp: 1516707936087,
                        dr: 0,
                        id: "0342fcce-1949-426c-8b5a-ec9b4cdfb0f3",
                        modificationTimestamp: 1516707936087,
                        name: "王祖贤",
                        tenantId: null,
                        userId: "0342fcce-1949-426c-8b5a-ec9b4cdfb0f3",
                        userName: "王祖贤"
                    }]
                }),
                _react2.default.createElement(_YYRefer2.default, {
                    referName: 'lzf',
                    onOk: this.onOk,
                    onClose: this.onClose,
                    multiMode: true,
                    open: this.state.openz,
                    form: form,
                    referCode: 'bd-001',
                    referStyle: 'tree',
                    modalHeight: 'part'
                }),
                _react2.default.createElement(_YYRefer2.default, {
                    referName: 'whh',
                    onOk: this.onOk,
                    onClose: this.onClose,
                    multiMode: true,
                    form: form,
                    open: this.state.openw,
                    referCode: '00023',
                    referStyle: 'tree-list'
                })
            );
        }
    }]);

    return YYReferNewDemo;
}(_react2.default.Component);

exports.default = _YYForm2.default.create()(YYReferNewDemo);