'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _YYResult = require('./YYResult.css');

var _YYResult2 = _interopRequireDefault(_YYResult);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYResult = function (_React$Component) {
    _inherits(YYResult, _React$Component);

    function YYResult() {
        _classCallCheck(this, YYResult);

        return _possibleConstructorReturn(this, (YYResult.__proto__ || Object.getPrototypeOf(YYResult)).apply(this, arguments));
    }

    _createClass(YYResult, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                type = _props.type,
                img = _props.img,
                message = _props.message,
                className = _props.className,
                onClick = _props.onClick,
                restProps = _objectWithoutProperties(_props, ['type', 'img', 'message', 'className', 'onClick']);

            var resultClz = (0, _classnames2.default)('yy-result', className);
            var imgSrc = require('../../common/img/no.png');
            var messageDefault = '当前页面无信息，请查看其他页面~';
            switch (type) {
                case '404':
                    imgSrc = require('../../common/img/404.png');
                    messageDefault = '暂无数据已去寻找，点击并刷新~';
                    break;
                case '403':
                    imgSrc = require('../../common/img/403.png');
                    messageDefault = '暂无信号，请检查网络~';
                    break;
                case 'dev':
                    imgSrc = require('../../common/img/dev.png');
                    messageDefault = '正在开发，中敬请期待~';
                    break;
                default:
                    break;
            }
            return _react2.default.createElement(
                'div',
                _extends({ className: resultClz }, restProps, { onClick: onClick }),
                img ? _react2.default.createElement(
                    'div',
                    null,
                    typeof img === 'string' ? _react2.default.createElement('img', { src: img }) : img
                ) : _react2.default.createElement('img', { src: imgSrc }),
                message ? _react2.default.createElement(
                    'div',
                    null,
                    typeof message === 'string' ? _react2.default.createElement(
                        'p',
                        null,
                        message
                    ) : message
                ) : _react2.default.createElement(
                    'p',
                    null,
                    messageDefault
                )
            );
        }
    }]);

    return YYResult;
}(_react2.default.Component);

YYResult.defaultProps = {
    type: 'no',
    message: null
};


module.exports = YYResult;