'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _slider = require('antd-mobile/lib/slider');

var _slider2 = _interopRequireDefault(_slider);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/slider/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FunctionUtil = require('../../utils/FunctionUtil');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYSlider = function (_React$Component) {
    _inherits(YYSlider, _React$Component);

    function YYSlider() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYSlider);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYSlider.__proto__ || Object.getPrototypeOf(YYSlider)).call.apply(_ref, [this].concat(args))), _this), _this._onChange = function (val) {
            if ((0, _FunctionUtil.isFunction)(_this.props.onChange)) _this.props.onChange(val);
        }, _this._onAfterChange = function (val) {
            if ((0, _FunctionUtil.isFunction)(_this.props.onAfterChange)) _this.props.onAfterChange(val);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYSlider, [{
        key: 'render',
        value: function render() {
            var wrapClz = (0, _classnames2.default)('yy-slider', this.props.className);

            var restProps = _objectWithoutProperties(this.props, []);

            return _react2.default.createElement(_slider2.default, _extends({
                className: wrapClz
            }, restProps, {
                onChange: this._onChange,
                onAfterChange: this._onAfterChange }));
        }
    }]);

    return YYSlider;
}(_react2.default.Component);

YYSlider.defaultProps = {};

exports.default = YYSlider;