'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./swipeNavBar.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SwipeNavBar = function (_React$Component) {
    _inherits(SwipeNavBar, _React$Component);

    function SwipeNavBar(props) {
        _classCallCheck(this, SwipeNavBar);

        var _this = _possibleConstructorReturn(this, (SwipeNavBar.__proto__ || Object.getPrototypeOf(SwipeNavBar)).call(this, props));

        _this.state = {};
        return _this;
    }

    _createClass(SwipeNavBar, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var xScrollWidth = this.refSwipe.scrollWidth;
            var docWidth = document.documentElement.clientWidth;
            this.refSwipe.scrollLeft = xScrollWidth - docWidth;
        }
    }, {
        key: 'componentDidUpdate',
        value: function componentDidUpdate() {
            var xScrollWidth = this.refSwipe.scrollWidth;
            var docWidth = document.documentElement.clientWidth;
            this.refSwipe.scrollLeft = xScrollWidth - docWidth;
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var rows = this.props.rows;
            return _react2.default.createElement(
                'div',
                { style: Object.assign({}, this.props.style, { backgroundColor: 'white', textAlign: 'left' }) },
                _react2.default.createElement(
                    'div',
                    { id: 'mySwipeNavBar', style: this.props.style, ref: function ref(node) {
                            return _this2.refSwipe = node;
                        } },
                    rows && rows.length > 0 ? rows.map(function (item) {
                        return _react2.default.createElement(
                            'div',
                            { key: item.id, onClick: function onClick() {
                                    return _this2.props.handleClick(item);
                                } },
                            _react2.default.createElement(
                                'a',
                                null,
                                item.name
                            )
                        );
                    }) : _react2.default.createElement(
                        'div',
                        null,
                        '\u9996\u9875'
                    )
                )
            );
        }
    }]);

    return SwipeNavBar;
}(_react2.default.Component);

exports.default = SwipeNavBar;