'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _toast = require('antd-mobile/lib/toast');

var _toast2 = _interopRequireDefault(_toast);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/list/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/toast/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYSwitchDemo = function (_React$Component) {
    _inherits(YYSwitchDemo, _React$Component);

    function YYSwitchDemo() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, YYSwitchDemo);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = YYSwitchDemo.__proto__ || Object.getPrototypeOf(YYSwitchDemo)).call.apply(_ref, [this].concat(args))), _this), _this.submit = function () {
            _this.props.form.validateFields(function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }
                    _toast2.default.info(arr[0].errors[0].message, 1.5);
                    console.log(arr[0].errors[0].message);
                }
            });
        }, _this.onChange = function (checked) {
            console.log('onChange', checked);
        }, _this.onClick = function (checked) {
            console.log('onClick', checked);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(YYSwitchDemo, [{
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                _list2.default,
                null,
                _react2.default.createElement(_index.YYSwitch, { field: 's1', form: form }),
                _react2.default.createElement(_index.YYSwitch, { field: 's2', form: form, checked: true, label: 'checked' }),
                _react2.default.createElement(_index.YYSwitch, { field: 's3', form: form, disabled: true, label: 'disabled' }),
                _react2.default.createElement(_index.YYSwitch, { field: 's4', form: form, checked: true, color: 'red', label: 'color' }),
                _react2.default.createElement(_index.YYSwitch, { field: 's5', form: form, platform: 'android', label: 'color' }),
                _react2.default.createElement(_index.YYSwitch, { field: 's6', form: form, onChange: this.onChange, label: 'onChange' }),
                _react2.default.createElement(_index.YYSwitch, { field: 's7', form: form, onChange: this.onChange, onClick: this.onClick, label: 'onChange onClick' }),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.submit },
                    '\u70B9\u51FB\u83B7\u53D6value'
                )
            );
        }
    }]);

    return YYSwitchDemo;
}(_react2.default.Component);

exports.default = _index.YYForm.create()(YYSwitchDemo);