'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _badge = require('antd-mobile/lib/badge');

var _badge2 = _interopRequireDefault(_badge);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/badge/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYTabs = require('../YYTabs');

var _YYTabs2 = _interopRequireDefault(_YYTabs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var tabs = [{ title: _react2.default.createElement(
        _badge2.default,
        { text: '3' },
        '\u6B63\u5E38\u7684'
    ) }, { title: _react2.default.createElement(
        _badge2.default,
        { text: '今日(20)' },
        '\u90FD\u5F88\u6B63\u5E38'
    ) }, { title: _react2.default.createElement(
        _badge2.default,
        { dot: true },
        '\u6211\u662F\u4E00\u4E2A'
    ) }];
var tabs2 = [{ title: '详细标题', sub: '1' }, { title: '一个短', sub: '2' }, { title: '我是一个很长很长的得得得得标题', sub: '3' }, { title: '我是一个很长很长的得得得得标题', sub: '4' }, { title: '我是一个很长很长的得得得得标题', sub: '5' }, { title: '我是一个很长很长的得得得得标题', sub: '6' }];

var YYTabsDemo = function (_Component) {
    _inherits(YYTabsDemo, _Component);

    function YYTabsDemo() {
        _classCallCheck(this, YYTabsDemo);

        return _possibleConstructorReturn(this, (YYTabsDemo.__proto__ || Object.getPrototypeOf(YYTabsDemo)).apply(this, arguments));
    }

    _createClass(YYTabsDemo, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    'h3',
                    null,
                    '\u57FA\u672C\u4F7F\u7528'
                ),
                _react2.default.createElement(
                    _YYTabs2.default,
                    {
                        tabs: tabs,
                        initialPage: 1,
                        onChange: function onChange(tab, index) {
                            console.log('onChange', index, tab);
                        },
                        onTabClick: function onTabClick(tab, index) {
                            console.log('onTabClick', index, tab);
                        }
                    },
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of first tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of second tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of third tab'
                    )
                ),
                _react2.default.createElement(
                    _YYTabs2.default,
                    {
                        type: 'left', tabs: tabs2,
                        onChange: function onChange(tab, index) {
                            console.log('onChange', index, tab);
                        },
                        onTabClick: function onTabClick(tab, index) {
                            console.log('onTabClick', index, tab);
                        }
                    },
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of first tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of second tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of third tab'
                    )
                ),
                _react2.default.createElement(_whiteSpace2.default, null),
                _react2.default.createElement(
                    _YYTabs2.default,
                    { type: 'left', tabs: tabs2,
                        initialPage: 1,
                        tabBarPosition: 'bottom'
                    },
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of first tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of second tab'
                    ),
                    _react2.default.createElement(
                        'div',
                        { style: { height: '150px', backgroundColor: '#fff' } },
                        'Content of third tab'
                    )
                ),
                _react2.default.createElement(_whiteSpace2.default, null)
            );
        }
    }]);

    return YYTabsDemo;
}(_react.Component);

exports.default = YYTabsDemo;