'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/button/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYForm = require('../../form/YYForm');

var _YYForm2 = _interopRequireDefault(_YYForm);

var _YYTextareaItem = require('..//YYTextareaItem');

var _YYTextareaItem2 = _interopRequireDefault(_YYTextareaItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYTextareaItemDemo = function (_React$Component) {
    _inherits(YYTextareaItemDemo, _React$Component);

    function YYTextareaItemDemo(props) {
        _classCallCheck(this, YYTextareaItemDemo);

        var _this = _possibleConstructorReturn(this, (YYTextareaItemDemo.__proto__ || Object.getPrototypeOf(YYTextareaItemDemo)).call(this, props));

        _this.showform = function () {
            _this.props.form.validateFields(['text1', 'text2', 'text3', 'text4', 'text5', 'text6', 'text7', 'text8'], function (err, values) {
                if (!err) {
                    console.log(values);
                } else {
                    var arr = [];
                    for (var i in err) {
                        arr.push(err[i]);
                    }

                    console.log(arr[0].errors[0].message);
                }
            });
        };

        _this.Change = function (val) {
            console.log(val);
        };

        _this.onBlur = function (val) {
            console.log(val);
        };

        _this.onFocus = function (val) {
            console.log(val);
        };

        _this.state = {
            url: ''
        };
        return _this;
    }

    _createClass(YYTextareaItemDemo, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            this.setState({
                url: window.location.href
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var form = this.props.form;

            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u6807\u51C6\u6A21\u5F0F'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text1',
                    label: '\u6807\u9898',
                    labelNumber: 2,
                    onChange: this.Change,
                    form: form,
                    value: '\u9ED8\u8BA4\u5185\u5BB9',
                    onBlur: this.onBlur,
                    onFocus: this.onFocus
                }),
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u81EA\u9002\u5E94\u9AD8\u5EA6/\u56FA\u5B9A\u9AD8\u5EA6'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text2',
                    label: '\u81EA\u9002\u5E94\u9AD8\u5EA6',
                    labelNumber: 5,
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    autoHeight: true
                }),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text3',
                    placeholder: '\u56FA\u5B9A\u9AD8\u5EA6',
                    labelNumber: 4,
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    rows: 5
                }),
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u6E05\u9664\u6309\u94AE'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text4',
                    label: '\u6E05\u9664',
                    labelNumber: 2,
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    clear: true
                }),
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u9650\u5236\u8F93\u5165\u957F\u5EA6'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text5',
                    label: '\u9650\u5236\u957F\u5EA6',
                    placeholder: '\u53EF\u8F93\u516510\u4E2A\u5B57',
                    labelNumber: 4,
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    clear: true,
                    count: 10
                }),
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u8BA1\u6570\u529F\u80FD'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text6',
                    placeholder: '\u53EF\u8BA1\u6570\u3002\u3002\u3002',
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    clear: true,
                    count: 100,
                    rows: 5
                }),
                _react2.default.createElement(
                    'div',
                    { style: { padding: 10, color: 'grey' } },
                    '\u4E0D\u53EF\u7F16\u8F91/\u7981\u7528'
                ),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text7',
                    label: '\u4E0D\u53EF\u7F16\u8F91',
                    value: 'not editable',
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    editable: false
                }),
                _react2.default.createElement(_YYTextareaItem2.default, {
                    field: 'text8',
                    label: '\u7981\u7528',
                    value: 'disbaled',
                    onChange: this.Change,
                    form: form,
                    onBlur: this.onBlur,
                    onFocus: this.onFocus,
                    disabled: true
                }),
                _react2.default.createElement('div', { style: { padding: 10, color: 'grey' } }),
                _react2.default.createElement(
                    _button2.default,
                    { onClick: this.showform },
                    '\u70B9\u51FB\u5728console\u91CC\u663E\u793A\u6240\u6709value'
                )
            );
        }
    }]);

    return YYTextareaItemDemo;
}(_react2.default.Component);

exports.default = _YYForm2.default.create()(YYTextareaItemDemo);