'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _YYToast = require('../YYToast');

var _YYToast2 = _interopRequireDefault(_YYToast);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function showToast() {
    _YYToast2.default.info('This is a toast tips !!!', 1);
}

function showToastNoMask() {
    _YYToast2.default.info('toast without mask !!!', 2, null, false);
}

function successToast() {
    _YYToast2.default.success('Load success !!!', 1);
}

function failToast() {
    _YYToast2.default.fail('Load failed !!!', 1);
}

function offline() {
    _YYToast2.default.offline('Network connection failed !!!', 1);
}

function loadingToast() {
    _YYToast2.default.loading('Loading...', 1, function () {
        console.log('Load complete !!!');
    });
}

var customIcon = function customIcon() {
    return _react2.default.createElement(
        'svg',
        { xmlns: 'http://www.w3.org/2000/svg', viewBox: '0 0 64 64', className: 'am-icon am-icon-md' },
        _react2.default.createElement('path', { fillRule: 'evenodd', d: 'M59.177 29.5s-1.25 0-1.25 2.5c0 14.47-11.786 26.244-26.253 26.244C17.206 58.244 5.417 46.47 5.417 32c0-13.837 11.414-25.29 25.005-26.26v6.252c0 .622-.318 1.635.198 1.985a1.88 1.88 0 0 0 1.75.19l21.37-8.545c.837-.334 1.687-1.133 1.687-2.384C55.425 1.99 53.944 2 53.044 2h-21.37C15.134 2 1.667 15.46 1.667 32c0 16.543 13.467 30 30.007 30 16.538 0 29.918-13.458 29.993-30 .01-2.5-1.24-2.5-1.24-2.5h-1.25' })
    );
};

var YYToastDemo = function (_Component) {
    _inherits(YYToastDemo, _Component);

    function YYToastDemo() {
        _classCallCheck(this, YYToastDemo);

        return _possibleConstructorReturn(this, (YYToastDemo.__proto__ || Object.getPrototypeOf(YYToastDemo)).apply(this, arguments));
    }

    _createClass(YYToastDemo, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            _YYToast2.default.loading('Loading...', 30, function () {
                console.log('Load complete !!!');
            });
            _YYToast2.default.success('Load success !!!', 1);
            setTimeout(function () {
                _YYToast2.default.hide();
            }, 3000);
        }
    }, {
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _wingBlank2.default,
                    null,
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: showToast },
                        'text only'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: showToastNoMask },
                        'without mask'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: function onClick() {
                                return _YYToast2.default.info(customIcon(), 1);
                            } },
                        'cumstom icon'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: successToast },
                        'success'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: failToast },
                        'fail'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: offline },
                        'network failure'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null),
                    _react2.default.createElement(
                        _button2.default,
                        { onClick: loadingToast },
                        'loading'
                    ),
                    _react2.default.createElement(_whiteSpace2.default, null)
                )
            );
        }
    }]);

    return YYToastDemo;
}(_react.Component);

exports.default = YYToastDemo;